/* GesturesUtils.c generated by valac 0.43.91, the Vala compiler
 * generated from GesturesUtils.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2014-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */
/* TODO: deprecate this in favor of the build-in Gtk 3.14 functions.*/

#include <glib.h>
#include <gdk/gdk.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <glib-object.h>
#include <gio/gio.h>

#define MAYA_MODEL_TYPE_CALENDAR_MODEL (maya_model_calendar_model_get_type ())
#define MAYA_MODEL_CALENDAR_MODEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_MODEL_TYPE_CALENDAR_MODEL, MayaModelCalendarModel))
#define MAYA_MODEL_CALENDAR_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_MODEL_TYPE_CALENDAR_MODEL, MayaModelCalendarModelClass))
#define MAYA_MODEL_IS_CALENDAR_MODEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_MODEL_TYPE_CALENDAR_MODEL))
#define MAYA_MODEL_IS_CALENDAR_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_MODEL_TYPE_CALENDAR_MODEL))
#define MAYA_MODEL_CALENDAR_MODEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_MODEL_TYPE_CALENDAR_MODEL, MayaModelCalendarModelClass))

typedef struct _MayaModelCalendarModel MayaModelCalendarModel;
typedef struct _MayaModelCalendarModelClass MayaModelCalendarModelClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MayaGesturesUtilsResetTimerData MayaGesturesUtilsResetTimerData;

struct _MayaGesturesUtilsResetTimerData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	GAsyncReadyCallback _callback_;
	gboolean _task_complete_;
};

extern gboolean maya_gestures_utils_has_scrolled;
gboolean maya_gestures_utils_has_scrolled = FALSE;

#define MAYA_GESTURES_UTILS_interval ((guint) 500)
gboolean maya_gestures_utils_on_scroll_event (GdkEventScroll* event);
GType maya_model_calendar_model_get_type (void) G_GNUC_CONST;
MayaModelCalendarModel* maya_model_calendar_model_get_default (void);
void maya_model_calendar_model_change_month (MayaModelCalendarModel* self,
                                             gint relative);
void maya_gestures_utils_reset_timer (GAsyncReadyCallback _callback_,
                                      gpointer _user_data_);
void maya_gestures_utils_reset_timer_finish (GAsyncResult* _res_);
static void maya_gestures_utils_reset_timer_data_free (gpointer _data);
static void maya_gestures_utils_reset_timer_async_ready_wrapper (GObject *source_object,
                                                          GAsyncResult *res,
                                                          void *user_data);
static gboolean maya_gestures_utils_reset_timer_co (MayaGesturesUtilsResetTimerData* _data_);
static gboolean __lambda17_ (void);
static gboolean ___lambda17__gsource_func (gpointer self);

gboolean
maya_gestures_utils_on_scroll_event (GdkEventScroll* event)
{
	gboolean result = FALSE;
	gdouble delta_x = 0.0;
	gdouble delta_y = 0.0;
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
	gdouble choice = 0.0;
	gboolean _tmp2_ = FALSE;
#line 27 "../core/GesturesUtils.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 30 "../core/GesturesUtils.vala"
	gdk_event_get_scroll_deltas ((GdkEvent*) event, &_tmp0_, &_tmp1_);
#line 30 "../core/GesturesUtils.vala"
	delta_x = _tmp0_;
#line 30 "../core/GesturesUtils.vala"
	delta_y = _tmp1_;
#line 32 "../core/GesturesUtils.vala"
	choice = delta_x;
#line 33 "../core/GesturesUtils.vala"
	if (abs ((gint) delta_x) < abs ((gint) delta_y)) {
#line 34 "../core/GesturesUtils.vala"
		choice = delta_y;
#line 99 "GesturesUtils.c"
	}
#line 38 "../core/GesturesUtils.vala"
	if (choice == ((gdouble) 1)) {
#line 38 "../core/GesturesUtils.vala"
		_tmp2_ = TRUE;
#line 105 "GesturesUtils.c"
	} else {
#line 38 "../core/GesturesUtils.vala"
		_tmp2_ = choice == ((gdouble) -1);
#line 109 "GesturesUtils.c"
	}
#line 38 "../core/GesturesUtils.vala"
	if (_tmp2_) {
#line 113 "GesturesUtils.c"
		MayaModelCalendarModel* _tmp3_;
		MayaModelCalendarModel* _tmp4_;
#line 39 "../core/GesturesUtils.vala"
		_tmp3_ = maya_model_calendar_model_get_default ();
#line 39 "../core/GesturesUtils.vala"
		_tmp4_ = _tmp3_;
#line 39 "../core/GesturesUtils.vala"
		maya_model_calendar_model_change_month (_tmp4_, (gint) choice);
#line 39 "../core/GesturesUtils.vala"
		_g_object_unref0 (_tmp4_);
#line 40 "../core/GesturesUtils.vala"
		result = TRUE;
#line 40 "../core/GesturesUtils.vala"
		return result;
#line 128 "GesturesUtils.c"
	}
#line 43 "../core/GesturesUtils.vala"
	if (maya_gestures_utils_has_scrolled == TRUE) {
#line 44 "../core/GesturesUtils.vala"
		result = TRUE;
#line 44 "../core/GesturesUtils.vala"
		return result;
#line 136 "GesturesUtils.c"
	}
#line 47 "../core/GesturesUtils.vala"
	if (choice > 0.3) {
#line 140 "GesturesUtils.c"
		MayaModelCalendarModel* _tmp5_;
		MayaModelCalendarModel* _tmp6_;
#line 48 "../core/GesturesUtils.vala"
		maya_gestures_utils_reset_timer (NULL, NULL);
#line 49 "../core/GesturesUtils.vala"
		_tmp5_ = maya_model_calendar_model_get_default ();
#line 49 "../core/GesturesUtils.vala"
		_tmp6_ = _tmp5_;
#line 49 "../core/GesturesUtils.vala"
		maya_model_calendar_model_change_month (_tmp6_, 1);
#line 49 "../core/GesturesUtils.vala"
		_g_object_unref0 (_tmp6_);
#line 50 "../core/GesturesUtils.vala"
		result = TRUE;
#line 50 "../core/GesturesUtils.vala"
		return result;
#line 157 "GesturesUtils.c"
	}
#line 53 "../core/GesturesUtils.vala"
	if (choice < (-0.3)) {
#line 161 "GesturesUtils.c"
		MayaModelCalendarModel* _tmp7_;
		MayaModelCalendarModel* _tmp8_;
#line 54 "../core/GesturesUtils.vala"
		maya_gestures_utils_reset_timer (NULL, NULL);
#line 55 "../core/GesturesUtils.vala"
		_tmp7_ = maya_model_calendar_model_get_default ();
#line 55 "../core/GesturesUtils.vala"
		_tmp8_ = _tmp7_;
#line 55 "../core/GesturesUtils.vala"
		maya_model_calendar_model_change_month (_tmp8_, -1);
#line 55 "../core/GesturesUtils.vala"
		_g_object_unref0 (_tmp8_);
#line 56 "../core/GesturesUtils.vala"
		result = TRUE;
#line 56 "../core/GesturesUtils.vala"
		return result;
#line 178 "GesturesUtils.c"
	}
#line 59 "../core/GesturesUtils.vala"
	result = FALSE;
#line 59 "../core/GesturesUtils.vala"
	return result;
#line 184 "GesturesUtils.c"
}

static void
maya_gestures_utils_reset_timer_data_free (gpointer _data)
{
	MayaGesturesUtilsResetTimerData* _data_;
	_data_ = _data;
	g_slice_free (MayaGesturesUtilsResetTimerData, _data_);
}

static void
maya_gestures_utils_reset_timer_async_ready_wrapper (GObject *source_object,
                                                     GAsyncResult *res,
                                                     void *user_data)
{
	MayaGesturesUtilsResetTimerData* _task_data_;
	_task_data_ = g_task_get_task_data (G_TASK (res));
	if (_task_data_->_callback_ != NULL) {
		_task_data_->_callback_ (source_object, res, user_data);
	}
	_task_data_->_task_complete_ = TRUE;
}

void
maya_gestures_utils_reset_timer (GAsyncReadyCallback _callback_,
                                 gpointer _user_data_)
{
	MayaGesturesUtilsResetTimerData* _data_;
	_data_ = g_slice_new0 (MayaGesturesUtilsResetTimerData);
	_data_->_callback_ = _callback_;
	_data_->_async_result = g_task_new (NULL, NULL, maya_gestures_utils_reset_timer_async_ready_wrapper, _user_data_);
	if (_callback_ == NULL) {
		_data_->_task_complete_ = TRUE;
	}
	g_task_set_task_data (_data_->_async_result, _data_, maya_gestures_utils_reset_timer_data_free);
	maya_gestures_utils_reset_timer_co (_data_);
}

void
maya_gestures_utils_reset_timer_finish (GAsyncResult* _res_)
{
	MayaGesturesUtilsResetTimerData* _data_;
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
}

static gboolean
__lambda17_ (void)
{
	gboolean result = FALSE;
#line 65 "../core/GesturesUtils.vala"
	maya_gestures_utils_has_scrolled = FALSE;
#line 66 "../core/GesturesUtils.vala"
	result = FALSE;
#line 66 "../core/GesturesUtils.vala"
	return result;
#line 240 "GesturesUtils.c"
}

static gboolean
___lambda17__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda17_ ();
#line 64 "../core/GesturesUtils.vala"
	return result;
#line 250 "GesturesUtils.c"
}

static gboolean
maya_gestures_utils_reset_timer_co (MayaGesturesUtilsResetTimerData* _data_)
{
#line 62 "../core/GesturesUtils.vala"
	switch (_data_->_state_) {
#line 62 "../core/GesturesUtils.vala"
		case 0:
#line 260 "GesturesUtils.c"
		goto _state_0;
		default:
#line 62 "../core/GesturesUtils.vala"
		g_assert_not_reached ();
#line 265 "GesturesUtils.c"
	}
	_state_0:
#line 63 "../core/GesturesUtils.vala"
	maya_gestures_utils_has_scrolled = TRUE;
#line 64 "../core/GesturesUtils.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, MAYA_GESTURES_UTILS_interval, ___lambda17__gsource_func, NULL, NULL);
#line 62 "../core/GesturesUtils.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 62 "../core/GesturesUtils.vala"
	if (_data_->_state_ != 0) {
#line 62 "../core/GesturesUtils.vala"
		while (!_data_->_task_complete_) {
#line 62 "../core/GesturesUtils.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 280 "GesturesUtils.c"
		}
	}
#line 62 "../core/GesturesUtils.vala"
	g_object_unref (_data_->_async_result);
#line 62 "../core/GesturesUtils.vala"
	return FALSE;
#line 287 "GesturesUtils.c"
}

