/* ContactImage.c generated by valac 0.43.91, the Vala compiler
 * generated from ContactImage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */
/* 
 * This widget auto-updates his image when the contact changes his avatar.
 * It draws circle icons following the current trend.
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <glib.h>
#include <folks/folks.h>
#include <gio/gio.h>
#include <cairo.h>
#include <float.h>
#include <math.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <granite.h>
#include <gdk/gdk.h>

#define MAYA_TYPE_CONTACT_IMAGE (maya_contact_image_get_type ())
#define MAYA_CONTACT_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_CONTACT_IMAGE, MayaContactImage))
#define MAYA_CONTACT_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_CONTACT_IMAGE, MayaContactImageClass))
#define MAYA_IS_CONTACT_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_CONTACT_IMAGE))
#define MAYA_IS_CONTACT_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_CONTACT_IMAGE))
#define MAYA_CONTACT_IMAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_CONTACT_IMAGE, MayaContactImageClass))

typedef struct _MayaContactImage MayaContactImage;
typedef struct _MayaContactImageClass MayaContactImageClass;
typedef struct _MayaContactImagePrivate MayaContactImagePrivate;
enum  {
	MAYA_CONTACT_IMAGE_0_PROPERTY,
	MAYA_CONTACT_IMAGE_NUM_PROPERTIES
};
static GParamSpec* maya_contact_image_properties[MAYA_CONTACT_IMAGE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block4Data Block4Data;
typedef struct _Block5Data Block5Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaContactImage {
	GtkStack parent_instance;
	MayaContactImagePrivate * priv;
};

struct _MayaContactImageClass {
	GtkStackClass parent_class;
};

struct _MayaContactImagePrivate {
	GtkIconSize icon_size;
	GtkImage* current_image;
	gboolean default_avatar;
};

struct _Block4Data {
	int _ref_count_;
	MayaContactImage* self;
	FolksIndividual* individual;
};

struct _Block5Data {
	int _ref_count_;
	MayaContactImage* self;
	GLoadableIcon* icon;
};

static gint MayaContactImage_private_offset;
static gpointer maya_contact_image_parent_class = NULL;

GType maya_contact_image_get_type (void) G_GNUC_CONST;
MayaContactImage* maya_contact_image_new (GtkIconSize icon_size,
                                          FolksIndividual* individual);
MayaContactImage* maya_contact_image_construct (GType object_type,
                                                GtkIconSize icon_size,
                                                FolksIndividual* individual);
static void maya_contact_image_show_default_avatar (MayaContactImage* self);
void maya_contact_image_add_contact (MayaContactImage* self,
                                     FolksIndividual* individual);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
static void maya_contact_image_show_avatar_from_loadable_icon (MayaContactImage* self,
                                                        GLoadableIcon* icon);
static void __lambda15_ (Block4Data* _data4_);
static void ___lambda15__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static gboolean __lambda14_ (Block5Data* _data5_,
                      cairo_t* cr);
static gboolean ___lambda14__gtk_widget_draw (GtkWidget* _sender,
                                       cairo_t* cr,
                                       gpointer self);
static void maya_contact_image_show_avatar_image (MayaContactImage* self,
                                           GtkImage* image);
static gboolean __lambda13_ (MayaContactImage* self,
                      cairo_t* cr);
static gboolean ___lambda13__gtk_widget_draw (GtkWidget* _sender,
                                       cairo_t* cr,
                                       gpointer self);
static void maya_contact_image_finalize (GObject * obj);

static inline gpointer
maya_contact_image_get_instance_private (MayaContactImage* self)
{
	return G_STRUCT_MEMBER_P (self, MayaContactImage_private_offset);
}

MayaContactImage*
maya_contact_image_construct (GType object_type,
                              GtkIconSize icon_size,
                              FolksIndividual* individual)
{
	MayaContactImage * self = NULL;
	GtkImage* force_size_image = NULL;
	GtkImage* _tmp0_;
	GtkImage* _tmp1_;
#line 29 "../src/EventEdition/ContactImage.vala"
	self = (MayaContactImage*) g_object_new (object_type, NULL);
#line 30 "../src/EventEdition/ContactImage.vala"
	self->priv->icon_size = icon_size;
#line 31 "../src/EventEdition/ContactImage.vala"
	gtk_stack_set_transition_type ((GtkStack*) self, GTK_STACK_TRANSITION_TYPE_CROSSFADE);
#line 33 "../src/EventEdition/ContactImage.vala"
	_tmp0_ = (GtkImage*) gtk_image_new_from_icon_name ("avatar-default", (GtkIconSize) icon_size);
#line 33 "../src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp0_);
#line 33 "../src/EventEdition/ContactImage.vala"
	force_size_image = _tmp0_;
#line 34 "../src/EventEdition/ContactImage.vala"
	_tmp1_ = force_size_image;
#line 34 "../src/EventEdition/ContactImage.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp1_);
#line 35 "../src/EventEdition/ContactImage.vala"
	maya_contact_image_show_default_avatar (self);
#line 37 "../src/EventEdition/ContactImage.vala"
	if (individual != NULL) {
#line 38 "../src/EventEdition/ContactImage.vala"
		maya_contact_image_add_contact (self, individual);
#line 161 "ContactImage.c"
	}
#line 41 "../src/EventEdition/ContactImage.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 29 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (force_size_image);
#line 29 "../src/EventEdition/ContactImage.vala"
	return self;
#line 169 "ContactImage.c"
}

MayaContactImage*
maya_contact_image_new (GtkIconSize icon_size,
                        FolksIndividual* individual)
{
#line 29 "../src/EventEdition/ContactImage.vala"
	return maya_contact_image_construct (MAYA_TYPE_CONTACT_IMAGE, icon_size, individual);
#line 178 "ContactImage.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 44 "../src/EventEdition/ContactImage.vala"
	return self ? g_object_ref (self) : NULL;
#line 186 "ContactImage.c"
}

static Block4Data*
block4_data_ref (Block4Data* _data4_)
{
#line 44 "../src/EventEdition/ContactImage.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 44 "../src/EventEdition/ContactImage.vala"
	return _data4_;
#line 196 "ContactImage.c"
}

static void
block4_data_unref (void * _userdata_)
{
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 44 "../src/EventEdition/ContactImage.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 206 "ContactImage.c"
		MayaContactImage* self;
#line 44 "../src/EventEdition/ContactImage.vala"
		self = _data4_->self;
#line 44 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (_data4_->individual);
#line 44 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (self);
#line 44 "../src/EventEdition/ContactImage.vala"
		g_slice_free (Block4Data, _data4_);
#line 216 "ContactImage.c"
	}
}

static void
__lambda15_ (Block4Data* _data4_)
{
	MayaContactImage* self;
	gboolean _tmp0_ = FALSE;
	GLoadableIcon* _tmp1_;
	GLoadableIcon* _tmp2_;
#line 49 "../src/EventEdition/ContactImage.vala"
	self = _data4_->self;
#line 50 "../src/EventEdition/ContactImage.vala"
	_tmp1_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data4_->individual);
#line 50 "../src/EventEdition/ContactImage.vala"
	_tmp2_ = _tmp1_;
#line 50 "../src/EventEdition/ContactImage.vala"
	if (_tmp2_ != NULL) {
#line 50 "../src/EventEdition/ContactImage.vala"
		_tmp0_ = self->priv->default_avatar == TRUE;
#line 237 "ContactImage.c"
	} else {
#line 50 "../src/EventEdition/ContactImage.vala"
		_tmp0_ = FALSE;
#line 241 "ContactImage.c"
	}
#line 50 "../src/EventEdition/ContactImage.vala"
	if (_tmp0_) {
#line 245 "ContactImage.c"
		GLoadableIcon* _tmp3_;
		GLoadableIcon* _tmp4_;
#line 51 "../src/EventEdition/ContactImage.vala"
		_tmp3_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data4_->individual);
#line 51 "../src/EventEdition/ContactImage.vala"
		_tmp4_ = _tmp3_;
#line 51 "../src/EventEdition/ContactImage.vala"
		maya_contact_image_show_avatar_from_loadable_icon (self, _tmp4_);
#line 254 "ContactImage.c"
	} else {
#line 53 "../src/EventEdition/ContactImage.vala"
		maya_contact_image_show_default_avatar (self);
#line 258 "ContactImage.c"
	}
}

static void
___lambda15__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 49 "../src/EventEdition/ContactImage.vala"
	__lambda15_ (self);
#line 269 "ContactImage.c"
}

void
maya_contact_image_add_contact (MayaContactImage* self,
                                FolksIndividual* individual)
{
	Block4Data* _data4_;
	FolksIndividual* _tmp0_;
	gboolean _tmp1_ = FALSE;
	GLoadableIcon* _tmp2_;
	GLoadableIcon* _tmp3_;
#line 44 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 44 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (individual != NULL);
#line 44 "../src/EventEdition/ContactImage.vala"
	_data4_ = g_slice_new0 (Block4Data);
#line 44 "../src/EventEdition/ContactImage.vala"
	_data4_->_ref_count_ = 1;
#line 44 "../src/EventEdition/ContactImage.vala"
	_data4_->self = g_object_ref (self);
#line 44 "../src/EventEdition/ContactImage.vala"
	_tmp0_ = _g_object_ref0 (individual);
#line 44 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (_data4_->individual);
#line 44 "../src/EventEdition/ContactImage.vala"
	_data4_->individual = _tmp0_;
#line 45 "../src/EventEdition/ContactImage.vala"
	_tmp2_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data4_->individual);
#line 45 "../src/EventEdition/ContactImage.vala"
	_tmp3_ = _tmp2_;
#line 45 "../src/EventEdition/ContactImage.vala"
	if (_tmp3_ != NULL) {
#line 45 "../src/EventEdition/ContactImage.vala"
		_tmp1_ = self->priv->default_avatar == TRUE;
#line 305 "ContactImage.c"
	} else {
#line 45 "../src/EventEdition/ContactImage.vala"
		_tmp1_ = FALSE;
#line 309 "ContactImage.c"
	}
#line 45 "../src/EventEdition/ContactImage.vala"
	if (_tmp1_) {
#line 313 "ContactImage.c"
		GLoadableIcon* _tmp4_;
		GLoadableIcon* _tmp5_;
#line 46 "../src/EventEdition/ContactImage.vala"
		_tmp4_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data4_->individual);
#line 46 "../src/EventEdition/ContactImage.vala"
		_tmp5_ = _tmp4_;
#line 46 "../src/EventEdition/ContactImage.vala"
		maya_contact_image_show_avatar_from_loadable_icon (self, _tmp5_);
#line 322 "ContactImage.c"
	}
#line 49 "../src/EventEdition/ContactImage.vala"
	g_signal_connect_data ((GObject*) _data4_->individual, "notify::avatar", (GCallback) ___lambda15__g_object_notify, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 44 "../src/EventEdition/ContactImage.vala"
	block4_data_unref (_data4_);
#line 44 "../src/EventEdition/ContactImage.vala"
	_data4_ = NULL;
#line 330 "ContactImage.c"
}

static Block5Data*
block5_data_ref (Block5Data* _data5_)
{
#line 58 "../src/EventEdition/ContactImage.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 58 "../src/EventEdition/ContactImage.vala"
	return _data5_;
#line 340 "ContactImage.c"
}

static void
block5_data_unref (void * _userdata_)
{
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 58 "../src/EventEdition/ContactImage.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 350 "ContactImage.c"
		MayaContactImage* self;
#line 58 "../src/EventEdition/ContactImage.vala"
		self = _data5_->self;
#line 58 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (_data5_->icon);
#line 58 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (self);
#line 58 "../src/EventEdition/ContactImage.vala"
		g_slice_free (Block5Data, _data5_);
#line 360 "ContactImage.c"
	}
}

static gboolean
__lambda14_ (Block5Data* _data5_,
             cairo_t* cr)
{
	MayaContactImage* self;
	gboolean result = FALSE;
	GError* _inner_error0_ = NULL;
#line 60 "../src/EventEdition/ContactImage.vala"
	self = _data5_->self;
#line 60 "../src/EventEdition/ContactImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 375 "ContactImage.c"
	{
		gint width = 0;
		gint height = 0;
		gint size = 0;
		GInputStream* stream = NULL;
		GInputStream* _tmp0_;
		GdkPixbuf* img_pixbuf = NULL;
		GInputStream* _tmp1_;
		GdkPixbuf* _tmp2_;
		gint x = 0;
		gint y = 0;
		GdkPixbuf* _tmp3_;
#line 62 "../src/EventEdition/ContactImage.vala"
		width = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 63 "../src/EventEdition/ContactImage.vala"
		height = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 64 "../src/EventEdition/ContactImage.vala"
		size = (gint) MIN ((gdouble) width, (gdouble) height);
#line 65 "../src/EventEdition/ContactImage.vala"
		_tmp0_ = g_loadable_icon_load (_data5_->icon, size, NULL, NULL, &_inner_error0_);
#line 65 "../src/EventEdition/ContactImage.vala"
		stream = _tmp0_;
#line 65 "../src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 400 "ContactImage.c"
			goto __catch2_g_error;
		}
#line 66 "../src/EventEdition/ContactImage.vala"
		_tmp1_ = stream;
#line 66 "../src/EventEdition/ContactImage.vala"
		_tmp2_ = gdk_pixbuf_new_from_stream_at_scale (_tmp1_, size, size, TRUE, NULL, &_inner_error0_);
#line 66 "../src/EventEdition/ContactImage.vala"
		img_pixbuf = _tmp2_;
#line 66 "../src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 66 "../src/EventEdition/ContactImage.vala"
			_g_object_unref0 (stream);
#line 413 "ContactImage.c"
			goto __catch2_g_error;
		}
#line 67 "../src/EventEdition/ContactImage.vala"
		cairo_set_operator (cr, CAIRO_OPERATOR_OVER);
#line 68 "../src/EventEdition/ContactImage.vala"
		x = (width - size) / 2;
#line 69 "../src/EventEdition/ContactImage.vala"
		y = (height - size) / 2;
#line 70 "../src/EventEdition/ContactImage.vala"
		granite_drawing_utilities_cairo_rounded_rectangle (cr, (gdouble) x, (gdouble) y, (gdouble) size, (gdouble) size, (gdouble) (size / 2));
#line 71 "../src/EventEdition/ContactImage.vala"
		_tmp3_ = img_pixbuf;
#line 71 "../src/EventEdition/ContactImage.vala"
		gdk_cairo_set_source_pixbuf (cr, _tmp3_, (gdouble) x, (gdouble) y);
#line 72 "../src/EventEdition/ContactImage.vala"
		cairo_fill_preserve (cr);
#line 73 "../src/EventEdition/ContactImage.vala"
		cairo_set_line_width (cr, (gdouble) 0);
#line 74 "../src/EventEdition/ContactImage.vala"
		cairo_set_source_rgba (cr, (gdouble) 0, (gdouble) 0, (gdouble) 0, 0.3);
#line 75 "../src/EventEdition/ContactImage.vala"
		cairo_stroke (cr);
#line 61 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (img_pixbuf);
#line 61 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (stream);
#line 440 "ContactImage.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 61 "../src/EventEdition/ContactImage.vala"
		e = _inner_error0_;
#line 61 "../src/EventEdition/ContactImage.vala"
		_inner_error0_ = NULL;
#line 77 "../src/EventEdition/ContactImage.vala"
		_tmp4_ = e;
#line 77 "../src/EventEdition/ContactImage.vala"
		_tmp5_ = _tmp4_->message;
#line 77 "../src/EventEdition/ContactImage.vala"
		g_critical ("ContactImage.vala:77: %s", _tmp5_);
#line 78 "../src/EventEdition/ContactImage.vala"
		result = FALSE;
#line 78 "../src/EventEdition/ContactImage.vala"
		_g_error_free0 (e);
#line 78 "../src/EventEdition/ContactImage.vala"
		return result;
#line 464 "ContactImage.c"
	}
	__finally2:
#line 61 "../src/EventEdition/ContactImage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 469 "ContactImage.c"
		gboolean _tmp6_ = FALSE;
#line 61 "../src/EventEdition/ContactImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 61 "../src/EventEdition/ContactImage.vala"
		g_clear_error (&_inner_error0_);
#line 61 "../src/EventEdition/ContactImage.vala"
		return _tmp6_;
#line 477 "ContactImage.c"
	}
#line 81 "../src/EventEdition/ContactImage.vala"
	result = TRUE;
#line 81 "../src/EventEdition/ContactImage.vala"
	return result;
#line 483 "ContactImage.c"
}

static gboolean
___lambda14__gtk_widget_draw (GtkWidget* _sender,
                              cairo_t* cr,
                              gpointer self)
{
	gboolean result;
	result = __lambda14_ (self, cr);
#line 60 "../src/EventEdition/ContactImage.vala"
	return result;
#line 495 "ContactImage.c"
}

static void
maya_contact_image_show_avatar_from_loadable_icon (MayaContactImage* self,
                                                   GLoadableIcon* icon)
{
	Block5Data* _data5_;
	GLoadableIcon* _tmp0_;
	GtkImage* image = NULL;
	GtkImage* _tmp1_;
#line 58 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 58 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (icon != NULL);
#line 58 "../src/EventEdition/ContactImage.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 58 "../src/EventEdition/ContactImage.vala"
	_data5_->_ref_count_ = 1;
#line 58 "../src/EventEdition/ContactImage.vala"
	_data5_->self = g_object_ref (self);
#line 58 "../src/EventEdition/ContactImage.vala"
	_tmp0_ = _g_object_ref0 (icon);
#line 58 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (_data5_->icon);
#line 58 "../src/EventEdition/ContactImage.vala"
	_data5_->icon = _tmp0_;
#line 59 "../src/EventEdition/ContactImage.vala"
	_tmp1_ = (GtkImage*) gtk_image_new ();
#line 59 "../src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp1_);
#line 59 "../src/EventEdition/ContactImage.vala"
	image = _tmp1_;
#line 60 "../src/EventEdition/ContactImage.vala"
	g_signal_connect_data ((GtkWidget*) image, "draw", (GCallback) ___lambda14__gtk_widget_draw, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 83 "../src/EventEdition/ContactImage.vala"
	maya_contact_image_show_avatar_image (self, image);
#line 58 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (image);
#line 58 "../src/EventEdition/ContactImage.vala"
	block5_data_unref (_data5_);
#line 58 "../src/EventEdition/ContactImage.vala"
	_data5_ = NULL;
#line 538 "ContactImage.c"
}

static gboolean
__lambda13_ (MayaContactImage* self,
             cairo_t* cr)
{
	gboolean result = FALSE;
	GError* _inner_error0_ = NULL;
#line 88 "../src/EventEdition/ContactImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 549 "ContactImage.c"
	{
		gint width = 0;
		gint height = 0;
		gint size = 0;
		GdkPixbuf* img_pixbuf = NULL;
		GtkIconTheme* _tmp0_;
		GdkPixbuf* _tmp1_;
		gint x = 0;
		gint y = 0;
		GdkPixbuf* _tmp2_;
#line 90 "../src/EventEdition/ContactImage.vala"
		width = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 91 "../src/EventEdition/ContactImage.vala"
		height = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 92 "../src/EventEdition/ContactImage.vala"
		size = (gint) MIN ((gdouble) width, (gdouble) height);
#line 93 "../src/EventEdition/ContactImage.vala"
		_tmp0_ = gtk_icon_theme_get_default ();
#line 93 "../src/EventEdition/ContactImage.vala"
		_tmp1_ = gtk_icon_theme_load_icon (_tmp0_, "avatar-default", size, GTK_ICON_LOOKUP_GENERIC_FALLBACK, &_inner_error0_);
#line 93 "../src/EventEdition/ContactImage.vala"
		img_pixbuf = _tmp1_;
#line 93 "../src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 574 "ContactImage.c"
			goto __catch3_g_error;
		}
#line 94 "../src/EventEdition/ContactImage.vala"
		cairo_set_operator (cr, CAIRO_OPERATOR_OVER);
#line 95 "../src/EventEdition/ContactImage.vala"
		x = (width - size) / 2;
#line 96 "../src/EventEdition/ContactImage.vala"
		y = (height - size) / 2;
#line 97 "../src/EventEdition/ContactImage.vala"
		granite_drawing_utilities_cairo_rounded_rectangle (cr, (gdouble) x, (gdouble) y, (gdouble) size, (gdouble) size, (gdouble) (size / 2));
#line 98 "../src/EventEdition/ContactImage.vala"
		_tmp2_ = img_pixbuf;
#line 98 "../src/EventEdition/ContactImage.vala"
		gdk_cairo_set_source_pixbuf (cr, _tmp2_, (gdouble) x, (gdouble) y);
#line 99 "../src/EventEdition/ContactImage.vala"
		cairo_fill_preserve (cr);
#line 100 "../src/EventEdition/ContactImage.vala"
		cairo_set_line_width (cr, (gdouble) 0);
#line 101 "../src/EventEdition/ContactImage.vala"
		cairo_set_source_rgba (cr, (gdouble) 0, (gdouble) 0, (gdouble) 0, 0.3);
#line 102 "../src/EventEdition/ContactImage.vala"
		cairo_stroke (cr);
#line 89 "../src/EventEdition/ContactImage.vala"
		_g_object_unref0 (img_pixbuf);
#line 599 "ContactImage.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 89 "../src/EventEdition/ContactImage.vala"
		e = _inner_error0_;
#line 89 "../src/EventEdition/ContactImage.vala"
		_inner_error0_ = NULL;
#line 104 "../src/EventEdition/ContactImage.vala"
		_tmp3_ = e;
#line 104 "../src/EventEdition/ContactImage.vala"
		_tmp4_ = _tmp3_->message;
#line 104 "../src/EventEdition/ContactImage.vala"
		g_critical ("ContactImage.vala:104: %s", _tmp4_);
#line 105 "../src/EventEdition/ContactImage.vala"
		result = FALSE;
#line 105 "../src/EventEdition/ContactImage.vala"
		_g_error_free0 (e);
#line 105 "../src/EventEdition/ContactImage.vala"
		return result;
#line 623 "ContactImage.c"
	}
	__finally3:
#line 89 "../src/EventEdition/ContactImage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 628 "ContactImage.c"
		gboolean _tmp5_ = FALSE;
#line 89 "../src/EventEdition/ContactImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 89 "../src/EventEdition/ContactImage.vala"
		g_clear_error (&_inner_error0_);
#line 89 "../src/EventEdition/ContactImage.vala"
		return _tmp5_;
#line 636 "ContactImage.c"
	}
#line 108 "../src/EventEdition/ContactImage.vala"
	result = TRUE;
#line 108 "../src/EventEdition/ContactImage.vala"
	return result;
#line 642 "ContactImage.c"
}

static gboolean
___lambda13__gtk_widget_draw (GtkWidget* _sender,
                              cairo_t* cr,
                              gpointer self)
{
	gboolean result;
	result = __lambda13_ ((MayaContactImage*) self, cr);
#line 88 "../src/EventEdition/ContactImage.vala"
	return result;
#line 654 "ContactImage.c"
}

static void
maya_contact_image_show_default_avatar (MayaContactImage* self)
{
	GtkImage* image = NULL;
	GtkImage* _tmp0_;
#line 86 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 87 "../src/EventEdition/ContactImage.vala"
	_tmp0_ = (GtkImage*) gtk_image_new ();
#line 87 "../src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp0_);
#line 87 "../src/EventEdition/ContactImage.vala"
	image = _tmp0_;
#line 88 "../src/EventEdition/ContactImage.vala"
	g_signal_connect_object ((GtkWidget*) image, "draw", (GCallback) ___lambda13__gtk_widget_draw, self, 0);
#line 111 "../src/EventEdition/ContactImage.vala"
	maya_contact_image_show_avatar_image (self, image);
#line 112 "../src/EventEdition/ContactImage.vala"
	self->priv->default_avatar = TRUE;
#line 86 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (image);
#line 678 "ContactImage.c"
}

static void
maya_contact_image_show_avatar_image (MayaContactImage* self,
                                      GtkImage* image)
{
	GtkImage* _tmp0_;
	GtkImage* _tmp2_;
#line 115 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 115 "../src/EventEdition/ContactImage.vala"
	g_return_if_fail (image != NULL);
#line 116 "../src/EventEdition/ContactImage.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) image);
#line 117 "../src/EventEdition/ContactImage.vala"
	gtk_widget_show ((GtkWidget*) image);
#line 118 "../src/EventEdition/ContactImage.vala"
	gtk_stack_set_visible_child ((GtkStack*) self, (GtkWidget*) image);
#line 119 "../src/EventEdition/ContactImage.vala"
	_tmp0_ = self->priv->current_image;
#line 119 "../src/EventEdition/ContactImage.vala"
	if (_tmp0_ != NULL) {
#line 701 "ContactImage.c"
		GtkImage* _tmp1_;
#line 120 "../src/EventEdition/ContactImage.vala"
		_tmp1_ = self->priv->current_image;
#line 120 "../src/EventEdition/ContactImage.vala"
		gtk_widget_destroy ((GtkWidget*) _tmp1_);
#line 707 "ContactImage.c"
	}
#line 121 "../src/EventEdition/ContactImage.vala"
	_tmp2_ = _g_object_ref0 (image);
#line 121 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (self->priv->current_image);
#line 121 "../src/EventEdition/ContactImage.vala"
	self->priv->current_image = _tmp2_;
#line 715 "ContactImage.c"
}

static void
maya_contact_image_class_init (MayaContactImageClass * klass,
                               gpointer klass_data)
{
#line 25 "../src/EventEdition/ContactImage.vala"
	maya_contact_image_parent_class = g_type_class_peek_parent (klass);
#line 25 "../src/EventEdition/ContactImage.vala"
	g_type_class_adjust_private_offset (klass, &MayaContactImage_private_offset);
#line 25 "../src/EventEdition/ContactImage.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_contact_image_finalize;
#line 728 "ContactImage.c"
}

static void
maya_contact_image_instance_init (MayaContactImage * self,
                                  gpointer klass)
{
#line 25 "../src/EventEdition/ContactImage.vala"
	self->priv = maya_contact_image_get_instance_private (self);
#line 27 "../src/EventEdition/ContactImage.vala"
	self->priv->current_image = NULL;
#line 28 "../src/EventEdition/ContactImage.vala"
	self->priv->default_avatar = TRUE;
#line 741 "ContactImage.c"
}

static void
maya_contact_image_finalize (GObject * obj)
{
	MayaContactImage * self;
#line 25 "../src/EventEdition/ContactImage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_CONTACT_IMAGE, MayaContactImage);
#line 27 "../src/EventEdition/ContactImage.vala"
	_g_object_unref0 (self->priv->current_image);
#line 25 "../src/EventEdition/ContactImage.vala"
	G_OBJECT_CLASS (maya_contact_image_parent_class)->finalize (obj);
#line 754 "ContactImage.c"
}

GType
maya_contact_image_get_type (void)
{
	static volatile gsize maya_contact_image_type_id__volatile = 0;
	if (g_once_init_enter (&maya_contact_image_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaContactImageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_contact_image_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaContactImage), 0, (GInstanceInitFunc) maya_contact_image_instance_init, NULL };
		GType maya_contact_image_type_id;
		maya_contact_image_type_id = g_type_register_static (gtk_stack_get_type (), "MayaContactImage", &g_define_type_info, 0);
		MayaContactImage_private_offset = g_type_add_instance_private (maya_contact_image_type_id, sizeof (MayaContactImagePrivate));
		g_once_init_leave (&maya_contact_image_type_id__volatile, maya_contact_image_type_id);
	}
	return maya_contact_image_type_id__volatile;
}

