/* SourceDialog.c generated by valac 0.43.91, the Vala compiler
 * generated from SourceDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2011-2018 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Jaap Broekhuizen
 *              Corentin Noël <corentin@elementaryos.org>
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include "elementary-calendar.h"
#include <gee.h>
#include <libedataserver/libedataserver.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>

#define MAYA_VIEW_TYPE_SOURCE_DIALOG (maya_view_source_dialog_get_type ())
#define MAYA_VIEW_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog))
#define MAYA_VIEW_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))
#define MAYA_VIEW_IS_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_IS_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_SOURCE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))

typedef struct _MayaViewSourceDialog MayaViewSourceDialog;
typedef struct _MayaViewSourceDialogClass MayaViewSourceDialogClass;
typedef struct _MayaViewSourceDialogPrivate MayaViewSourceDialogPrivate;
typedef enum  {
	MAYA_VIEW_EVENT_TYPE_ADD,
	MAYA_VIEW_EVENT_TYPE_EDIT
} MayaViewEventType;

#define MAYA_VIEW_TYPE_EVENT_TYPE (maya_view_event_type_get_type ())
enum  {
	MAYA_VIEW_SOURCE_DIALOG_0_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_NUM_PROPERTIES
};
static GParamSpec* maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block22Data Block22Data;
enum  {
	MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL,
	MAYA_VIEW_SOURCE_DIALOG_NUM_SIGNALS
};
static guint maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_NUM_SIGNALS] = {0};

struct _MayaViewSourceDialog {
	GtkGrid parent_instance;
	MayaViewSourceDialogPrivate * priv;
};

struct _MayaViewSourceDialogClass {
	GtkGridClass parent_class;
};

struct _MayaViewSourceDialogPrivate {
	MayaViewEventType _event_type;
	GtkEntry* name_entry;
	gboolean set_as_default;
	gchar* hex_color;
	MayaBackend* current_backend;
	GeeCollection* backend_widgets;
	GtkGrid* main_grid;
	GeeHashMap* widgets_checked;
	GtkButton* create_button;
	GtkComboBox* type_combobox;
	GtkListStore* list_store;
	ESource* source;
	GtkRadioButton* color_button_red;
	GtkRadioButton* color_button_orange;
	GtkRadioButton* color_button_yellow;
	GtkRadioButton* color_button_green;
	GtkRadioButton* color_button_blue;
	GtkRadioButton* color_button_purple;
	GtkRadioButton* color_button_brown;
	GtkRadioButton* color_button_slate;
	GtkRadioButton* color_button_none;
};

struct _Block22Data {
	int _ref_count_;
	MayaViewSourceDialog* self;
	MayaPlacementWidget* widget;
};

static gint MayaViewSourceDialog_private_offset;
static gpointer maya_view_source_dialog_parent_class = NULL;

GType maya_view_source_dialog_get_type (void) G_GNUC_CONST;
GType maya_view_event_type_get_type (void) G_GNUC_CONST;
void maya_view_source_dialog_set_source (MayaViewSourceDialog* self,
                                         ESource* source);
static void maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self,
                                             MayaViewEventType value);
static gboolean maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self,
                                               GtkTreeModel* model,
                                               GtkTreePath* path,
                                               GtkTreeIter* iter);
static gboolean _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model,
                                                                            GtkTreePath* path,
                                                                            GtkTreeIter* iter,
                                                                            gpointer self);
static void maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self);
static void maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self);
static Block22Data* block22_data_ref (Block22Data* _data22_);
static void block22_data_unref (void * _userdata_);
static void _____lambda157_ (Block22Data* _data22_);
static void maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self,
                                            MayaPlacementWidget* widget);
static void ______lambda157__gtk_editable_changed (GtkEditable* _sender,
                                            gpointer self);
static void maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self);
void maya_view_source_dialog_save (MayaViewSourceDialog* self);
MayaViewEventType maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self);
MayaViewSourceDialog* maya_view_source_dialog_new (void);
MayaViewSourceDialog* maya_view_source_dialog_construct (GType object_type);
static GObject * maya_view_source_dialog_constructor (GType type,
                                               guint n_construct_properties,
                                               GObjectConstructParam * construct_properties);
static void _maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender,
                                                       gpointer self);
static void _maya_view_source_dialog___lambda158_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda158__gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self);
static void _maya_view_source_dialog___lambda159_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda159__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _maya_view_source_dialog___lambda160_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda160__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                   gpointer self);
static void _maya_view_source_dialog___lambda161_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda161__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda162_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda162__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda163_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda163__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda164_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda164__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda165_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda165__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda166_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda166__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda167_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda167__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda168_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda168__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda169_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda169__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void maya_view_source_dialog_finalize (GObject * obj);
static void _vala_maya_view_source_dialog_get_property (GObject * object,
                                                 guint property_id,
                                                 GValue * value,
                                                 GParamSpec * pspec);
static void _vala_maya_view_source_dialog_set_property (GObject * object,
                                                 guint property_id,
                                                 const GValue * value,
                                                 GParamSpec * pspec);

static inline gpointer
maya_view_source_dialog_get_instance_private (MayaViewSourceDialog* self)
{
	return G_STRUCT_MEMBER_P (self, MayaViewSourceDialog_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 242 "../src/SourceDialog/SourceDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 201 "SourceDialog.c"
}

static gboolean
_maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model,
                                                                   GtkTreePath* path,
                                                                   GtkTreeIter* iter,
                                                                   gpointer self)
{
	gboolean result;
	result = maya_view_source_dialog_tree_foreach ((MayaViewSourceDialog*) self, model, path, iter);
#line 254 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 214 "SourceDialog.c"
}

void
maya_view_source_dialog_set_source (MayaViewSourceDialog* self,
                                    ESource* source)
{
	ESource* _tmp0_;
#line 241 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 242 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 242 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 242 "../src/SourceDialog/SourceDialog.vala"
	self->priv->source = _tmp0_;
#line 243 "../src/SourceDialog/SourceDialog.vala"
	if (source == NULL) {
#line 232 "SourceDialog.c"
		GtkEntry* _tmp1_;
		GtkComboBox* _tmp2_;
		GtkButton* _tmp3_;
#line 244 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_ADD);
#line 245 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->name_entry;
#line 245 "../src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp1_, "");
#line 246 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->type_combobox;
#line 246 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, TRUE);
#line 247 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = self->priv->create_button;
#line 247 "../src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp3_, _ ("Create Calendar"));
#line 250 "SourceDialog.c"
	} else {
		GtkButton* _tmp4_;
		GtkEntry* _tmp5_;
		const gchar* _tmp6_;
		const gchar* _tmp7_;
		GtkComboBox* _tmp8_;
		GtkComboBox* _tmp9_;
		GtkListStore* _tmp10_;
		ESourceCalendar* cal = NULL;
		ESourceExtension* _tmp11_;
		ESourceCalendar* _tmp12_;
		ESourceCalendar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		GQuark _tmp17_ = 0U;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label0 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label1 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label2 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label3 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label4 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label5 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label6 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label7 = 0;
#line 249 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_EDIT);
#line 250 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = self->priv->create_button;
#line 250 "../src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp4_, _ ("Save"));
#line 251 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->name_entry;
#line 251 "../src/SourceDialog/SourceDialog.vala"
		_tmp6_ = e_source_get_display_name (source);
#line 251 "../src/SourceDialog/SourceDialog.vala"
		_tmp7_ = _tmp6_;
#line 251 "../src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp5_, _tmp7_);
#line 252 "../src/SourceDialog/SourceDialog.vala"
		_tmp8_ = self->priv->type_combobox;
#line 252 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, FALSE);
#line 253 "../src/SourceDialog/SourceDialog.vala"
		_tmp9_ = self->priv->type_combobox;
#line 253 "../src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active (_tmp9_, 0);
#line 254 "../src/SourceDialog/SourceDialog.vala"
		_tmp10_ = self->priv->list_store;
#line 254 "../src/SourceDialog/SourceDialog.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp10_, _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func, self);
#line 255 "../src/SourceDialog/SourceDialog.vala"
		_tmp11_ = e_source_get_extension (source, E_SOURCE_EXTENSION_CALENDAR);
#line 255 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, e_source_calendar_get_type (), ESourceCalendar));
#line 255 "../src/SourceDialog/SourceDialog.vala"
		cal = _tmp12_;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = cal;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp13_);
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp15_ = _tmp14_;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 257 "../src/SourceDialog/SourceDialog.vala"
		g_free (_tmp15_);
#line 257 "../src/SourceDialog/SourceDialog.vala"
		if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("#da3d41")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 328 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp18_;
#line 259 "../src/SourceDialog/SourceDialog.vala"
					_tmp18_ = self->priv->color_button_red;
#line 259 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp18_, TRUE);
#line 260 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 338 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("#f37329")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 344 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp19_;
#line 262 "../src/SourceDialog/SourceDialog.vala"
					_tmp19_ = self->priv->color_button_orange;
#line 262 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp19_, TRUE);
#line 263 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 354 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("#e6a92a")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 360 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp20_;
#line 265 "../src/SourceDialog/SourceDialog.vala"
					_tmp20_ = self->priv->color_button_yellow;
#line 265 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp20_, TRUE);
#line 266 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 370 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("#81c837")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 376 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp21_;
#line 268 "../src/SourceDialog/SourceDialog.vala"
					_tmp21_ = self->priv->color_button_green;
#line 268 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp21_, TRUE);
#line 269 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 386 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("#3689e6")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 392 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp22_;
#line 271 "../src/SourceDialog/SourceDialog.vala"
					_tmp22_ = self->priv->color_button_blue;
#line 271 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp22_, TRUE);
#line 272 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 402 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("#a56de2")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 408 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp23_;
#line 274 "../src/SourceDialog/SourceDialog.vala"
					_tmp23_ = self->priv->color_button_purple;
#line 274 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp23_, TRUE);
#line 275 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 418 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("#8a715e")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 424 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp24_;
#line 277 "../src/SourceDialog/SourceDialog.vala"
					_tmp24_ = self->priv->color_button_brown;
#line 277 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp24_, TRUE);
#line 278 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 434 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label7) ? _tmp16_label7 : (_tmp16_label7 = g_quark_from_static_string ("#667885")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 440 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp25_;
#line 280 "../src/SourceDialog/SourceDialog.vala"
					_tmp25_ = self->priv->color_button_slate;
#line 280 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp25_, TRUE);
#line 281 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 450 "SourceDialog.c"
				}
			}
		} else {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 456 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp26_;
					ESourceCalendar* _tmp27_;
					gchar* _tmp28_;
#line 283 "../src/SourceDialog/SourceDialog.vala"
					_tmp26_ = self->priv->color_button_none;
#line 283 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp26_, TRUE);
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_tmp27_ = cal;
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_tmp28_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp27_);
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_g_free0 (self->priv->hex_color);
#line 284 "../src/SourceDialog/SourceDialog.vala"
					self->priv->hex_color = _tmp28_;
#line 285 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 476 "SourceDialog.c"
				}
			}
		}
#line 243 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (cal);
#line 482 "SourceDialog.c"
	}
}

static gboolean
maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self,
                                      GtkTreeModel* model,
                                      GtkTreePath* path,
                                      GtkTreeIter* iter)
{
	gboolean result = FALSE;
	GValue backend = {0};
	GtkListStore* _tmp0_;
	GtkTreeIter _tmp1_;
	GValue _tmp2_ = {0};
	MayaBackend* current_backend = NULL;
	GValue _tmp3_;
	MayaBackend* _tmp4_;
	MayaBackend* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	ESource* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gboolean _tmp11_;
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 293 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->list_store;
#line 293 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = *iter;
#line 293 "../src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp0_, &_tmp1_, 1, &_tmp2_);
#line 293 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 293 "../src/SourceDialog/SourceDialog.vala"
	backend = _tmp2_;
#line 294 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = backend;
#line 294 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = _g_object_ref0 (g_value_get_object (&_tmp3_));
#line 294 "../src/SourceDialog/SourceDialog.vala"
	current_backend = _tmp4_;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = current_backend;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = maya_backend_get_uid (_tmp5_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = _tmp6_;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = e_source_dup_parent (_tmp8_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = _tmp9_;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = g_strcmp0 (_tmp7_, _tmp10_) == 0;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp10_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp7_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp11_) {
#line 551 "SourceDialog.c"
		GtkComboBox* _tmp12_;
		GtkTreeIter _tmp13_;
		GtkComboBox* _tmp14_;
#line 296 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->type_combobox;
#line 296 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = *iter;
#line 296 "../src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active_iter (_tmp12_, &_tmp13_);
#line 297 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->type_combobox;
#line 297 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, TRUE);
#line 298 "../src/SourceDialog/SourceDialog.vala"
		result = TRUE;
#line 298 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (current_backend);
#line 298 "../src/SourceDialog/SourceDialog.vala"
		G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 298 "../src/SourceDialog/SourceDialog.vala"
		return result;
#line 573 "SourceDialog.c"
	}
#line 301 "../src/SourceDialog/SourceDialog.vala"
	result = FALSE;
#line 301 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (current_backend);
#line 301 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 301 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 583 "SourceDialog.c"
}

static void
maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self)
{
	GeeCollection* _tmp0_;
	GeeCollection* _tmp10_;
#line 304 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 305 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->backend_widgets;
#line 305 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == NULL) {
#line 306 "../src/SourceDialog/SourceDialog.vala"
		return;
#line 599 "SourceDialog.c"
	}
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 613 "SourceDialog.c"
			GeeIterator* _tmp3_;
			MayaPlacementWidget* widget = NULL;
			GeeIterator* _tmp4_;
			gpointer _tmp5_;
			MayaPlacementWidget* _tmp6_;
			GtkWidget* _tmp7_;
			MayaPlacementWidget* _tmp8_;
			GtkWidget* _tmp9_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 308 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp3_)) {
#line 308 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 628 "SourceDialog.c"
			}
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_tmp4_ = _widget_it;
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 308 "../src/SourceDialog/SourceDialog.vala"
			widget = (MayaPlacementWidget*) _tmp5_;
#line 309 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = widget;
#line 309 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _tmp6_->widget;
#line 309 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_hide (_tmp7_);
#line 310 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = widget;
#line 310 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _tmp8_->widget;
#line 310 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_destroy (_tmp9_);
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (widget);
#line 650 "SourceDialog.c"
		}
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 654 "SourceDialog.c"
	}
#line 313 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = self->priv->backend_widgets;
#line 313 "../src/SourceDialog/SourceDialog.vala"
	gee_collection_clear (_tmp10_);
#line 660 "SourceDialog.c"
}

static Block22Data*
block22_data_ref (Block22Data* _data22_)
{
#line 318 "../src/SourceDialog/SourceDialog.vala"
	g_atomic_int_inc (&_data22_->_ref_count_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
	return _data22_;
#line 670 "SourceDialog.c"
}

static void
block22_data_unref (void * _userdata_)
{
	Block22Data* _data22_;
	_data22_ = (Block22Data*) _userdata_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
	if (g_atomic_int_dec_and_test (&_data22_->_ref_count_)) {
#line 680 "SourceDialog.c"
		MayaViewSourceDialog* self;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		self = _data22_->self;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_data22_->widget);
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (self);
#line 318 "../src/SourceDialog/SourceDialog.vala"
		g_slice_free (Block22Data, _data22_);
#line 690 "SourceDialog.c"
	}
}

static void
_____lambda157_ (Block22Data* _data22_)
{
	MayaViewSourceDialog* self;
	MayaPlacementWidget* _tmp0_;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	self = _data22_->self;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _data22_->widget;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_entry_changed (self, _tmp0_);
#line 705 "SourceDialog.c"
}

static void
______lambda157__gtk_editable_changed (GtkEditable* _sender,
                                       gpointer self)
{
#line 322 "../src/SourceDialog/SourceDialog.vala"
	_____lambda157_ (self);
#line 714 "SourceDialog.c"
}

static void
maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self)
{
	GeeHashMap* _tmp0_;
#line 316 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 317 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 317 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 727 "SourceDialog.c"
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 740 "SourceDialog.c"
			Block22Data* _data22_;
			GeeIterator* _tmp3_;
			GeeIterator* _tmp4_;
			gpointer _tmp5_;
			GtkGrid* _tmp6_;
			MayaPlacementWidget* _tmp7_;
			GtkWidget* _tmp8_;
			MayaPlacementWidget* _tmp9_;
			MayaPlacementWidget* _tmp10_;
			gboolean _tmp11_ = FALSE;
			MayaPlacementWidget* _tmp12_;
			MayaPlacementWidget* _tmp26_;
			GtkWidget* _tmp27_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_ = g_slice_new0 (Block22Data);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_->_ref_count_ = 1;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_->self = g_object_ref (self);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp3_)) {
#line 318 "../src/SourceDialog/SourceDialog.vala"
				block22_data_unref (_data22_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
				_data22_ = NULL;
#line 318 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 770 "SourceDialog.c"
			}
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_tmp4_ = _widget_it;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_->widget = (MayaPlacementWidget*) _tmp5_;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = self->priv->main_grid;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _data22_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = _tmp7_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _data22_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp10_ = _data22_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			gtk_grid_attach (_tmp6_, _tmp8_, _tmp9_->column, 4 + _tmp10_->row, 1, 1);
#line 320 "../src/SourceDialog/SourceDialog.vala"
			_tmp12_ = _data22_->widget;
#line 320 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp12_->needed == TRUE) {
#line 794 "SourceDialog.c"
				MayaPlacementWidget* _tmp13_;
				GtkWidget* _tmp14_;
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp13_ = _data22_->widget;
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp14_ = _tmp13_->widget;
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp11_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, gtk_entry_get_type ());
#line 803 "SourceDialog.c"
			} else {
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp11_ = FALSE;
#line 807 "SourceDialog.c"
			}
#line 320 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp11_) {
#line 811 "SourceDialog.c"
				GtkEntry* entry = NULL;
				MayaPlacementWidget* _tmp15_;
				GtkWidget* _tmp16_;
				GtkEntry* _tmp17_;
				GtkEntry* _tmp18_;
				GeeHashMap* _tmp19_;
				MayaPlacementWidget* _tmp20_;
				const gchar* _tmp21_;
				MayaPlacementWidget* _tmp22_;
				GtkWidget* _tmp23_;
				const gchar* _tmp24_;
				const gchar* _tmp25_;
#line 321 "../src/SourceDialog/SourceDialog.vala"
				_tmp15_ = _data22_->widget;
#line 321 "../src/SourceDialog/SourceDialog.vala"
				_tmp16_ = _tmp15_->widget;
#line 321 "../src/SourceDialog/SourceDialog.vala"
				_tmp17_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp16_, gtk_entry_get_type ()) ? ((GtkEntry*) _tmp16_) : NULL);
#line 321 "../src/SourceDialog/SourceDialog.vala"
				entry = _tmp17_;
#line 322 "../src/SourceDialog/SourceDialog.vala"
				_tmp18_ = entry;
#line 322 "../src/SourceDialog/SourceDialog.vala"
				g_signal_connect_data ((GtkEditable*) _tmp18_, "changed", (GCallback) ______lambda157__gtk_editable_changed, block22_data_ref (_data22_), (GClosureNotify) block22_data_unref, 0);
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp19_ = self->priv->widgets_checked;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp20_ = _data22_->widget;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp21_ = _tmp20_->ref_name;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp22_ = _data22_->widget;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp23_ = _tmp22_->widget;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp24_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp23_, gtk_entry_get_type (), GtkEntry));
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp25_ = _tmp24_;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				gee_abstract_map_set ((GeeAbstractMap*) _tmp19_, _tmp21_, (gpointer) ((gintptr) (g_strcmp0 (_tmp25_, "") != 0)));
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (entry);
#line 854 "SourceDialog.c"
			}
#line 325 "../src/SourceDialog/SourceDialog.vala"
			_tmp26_ = _data22_->widget;
#line 325 "../src/SourceDialog/SourceDialog.vala"
			_tmp27_ = _tmp26_->widget;
#line 325 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_show (_tmp27_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			block22_data_unref (_data22_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_ = NULL;
#line 866 "SourceDialog.c"
		}
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 870 "SourceDialog.c"
	}
#line 327 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 874 "SourceDialog.c"
}

static gchar*
string_chug (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1296 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1297 "glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1297 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1298 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1298 "glib-2.0.vapi"
	g_strchug (_tmp1_);
#line 1299 "glib-2.0.vapi"
	result = _result_;
#line 1299 "glib-2.0.vapi"
	return result;
#line 898 "SourceDialog.c"
}

static void
maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self,
                                       MayaPlacementWidget* widget)
{
	GeeHashMap* _tmp0_;
	const gchar* _tmp1_;
	GeeHashMap* _tmp2_;
	const gchar* _tmp3_;
	GtkWidget* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
#line 330 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 330 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (widget != NULL);
#line 331 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 331 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = widget->ref_name;
#line 331 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_unset ((GeeAbstractMap*) _tmp0_, _tmp1_, NULL);
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->widgets_checked;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = widget->ref_name;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = widget->widget;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_entry_get_type (), GtkEntry));
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _tmp5_;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = string_chug (_tmp6_);
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = _tmp7_;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp2_, _tmp3_, (gpointer) ((gintptr) (g_utf8_strlen (_tmp8_, (gssize) -1) > 0)));
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp8_);
#line 333 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 944 "SourceDialog.c"
}

static void
maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self)
{
	GtkEntry* _tmp10_;
	const gchar* _tmp11_;
	const gchar* _tmp12_;
#line 336 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 955 "SourceDialog.c"
	{
		GeeIterator* _valid_it = NULL;
		GeeHashMap* _tmp0_;
		GeeCollection* _tmp1_;
		GeeCollection* _tmp2_;
		GeeCollection* _tmp3_;
		GeeIterator* _tmp4_;
		GeeIterator* _tmp5_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp0_ = self->priv->widgets_checked;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = gee_abstract_map_get_values ((GeeAbstractMap*) _tmp0_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = _tmp1_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = _tmp2_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = _tmp4_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_tmp3_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_valid_it = _tmp5_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 982 "SourceDialog.c"
			GeeIterator* _tmp6_;
			gboolean valid = FALSE;
			GeeIterator* _tmp7_;
			gpointer _tmp8_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = _valid_it;
#line 337 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp6_)) {
#line 337 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 993 "SourceDialog.c"
			}
#line 337 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _valid_it;
#line 337 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = gee_iterator_get (_tmp7_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
			valid = (gboolean) ((gintptr) _tmp8_);
#line 338 "../src/SourceDialog/SourceDialog.vala"
			if (valid == FALSE) {
#line 1003 "SourceDialog.c"
				GtkButton* _tmp9_;
#line 339 "../src/SourceDialog/SourceDialog.vala"
				_tmp9_ = self->priv->create_button;
#line 339 "../src/SourceDialog/SourceDialog.vala"
				gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, FALSE);
#line 340 "../src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (_valid_it);
#line 340 "../src/SourceDialog/SourceDialog.vala"
				return;
#line 1013 "SourceDialog.c"
			}
		}
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_valid_it);
#line 1018 "SourceDialog.c"
	}
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = self->priv->name_entry;
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = gtk_entry_get_text (_tmp10_);
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp12_ = _tmp11_;
#line 344 "../src/SourceDialog/SourceDialog.vala"
	if (g_strcmp0 (_tmp12_, "") != 0) {
#line 1028 "SourceDialog.c"
		GtkButton* _tmp13_;
#line 345 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->create_button;
#line 345 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp13_, TRUE);
#line 1034 "SourceDialog.c"
	}
}

void
maya_view_source_dialog_save (MayaViewSourceDialog* self)
{
	MayaViewEventType _tmp0_;
#line 349 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 350 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 350 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == MAYA_VIEW_EVENT_TYPE_ADD) {
#line 1048 "SourceDialog.c"
		MayaBackend* _tmp1_;
		GtkEntry* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		GeeCollection* _tmp6_;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->current_backend;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->name_entry;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = _tmp3_;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->hex_color;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp6_ = self->priv->backend_widgets;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		maya_backend_add_new_calendar (_tmp1_, _tmp4_, _tmp5_, self->priv->set_as_default, _tmp6_);
#line 352 "../src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1071 "SourceDialog.c"
	} else {
		MayaBackend* _tmp7_;
		GtkEntry* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		GeeCollection* _tmp12_;
		ESource* _tmp13_;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp7_ = self->priv->current_backend;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp8_ = self->priv->name_entry;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp9_ = gtk_entry_get_text (_tmp8_);
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp10_ = _tmp9_;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp11_ = self->priv->hex_color;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->backend_widgets;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->source;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		maya_backend_modify_calendar (_tmp7_, _tmp10_, _tmp11_, self->priv->set_as_default, _tmp12_, _tmp13_);
#line 355 "../src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1098 "SourceDialog.c"
	}
}

MayaViewSourceDialog*
maya_view_source_dialog_construct (GType object_type)
{
	MayaViewSourceDialog * self = NULL;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self = (MayaViewSourceDialog*) g_object_new (object_type, NULL);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	return self;
#line 1110 "SourceDialog.c"
}

MayaViewSourceDialog*
maya_view_source_dialog_new (void)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	return maya_view_source_dialog_construct (MAYA_VIEW_TYPE_SOURCE_DIALOG);
#line 1118 "SourceDialog.c"
}

MayaViewEventType
maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self)
{
	MayaViewEventType result;
	MayaViewEventType _tmp0_;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	result = _tmp0_;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 1134 "SourceDialog.c"
}

static void
maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self,
                                        MayaViewEventType value)
{
#line 23 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	if (maya_view_source_dialog_get_event_type (self) != value) {
#line 23 "../src/SourceDialog/SourceDialog.vala"
		self->priv->_event_type = value;
#line 23 "../src/SourceDialog/SourceDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY]);
#line 1149 "SourceDialog.c"
	}
}

static void
_maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender,
                                                  gpointer self)
{
#line 55 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_save ((MayaViewSourceDialog*) self);
#line 1159 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda158_ (MayaViewSourceDialog* self)
{
#line 56 "../src/SourceDialog/SourceDialog.vala"
	g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1167 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda158__gtk_button_clicked (GtkButton* _sender,
                                                           gpointer self)
{
#line 56 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda158_ ((MayaViewSourceDialog*) self);
#line 1176 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda159_ (MayaViewSourceDialog* self)
{
#line 69 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1184 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda159__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 69 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda159_ ((MayaViewSourceDialog*) self);
#line 1193 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda160_ (MayaViewSourceDialog* self)
{
	GValue backend = {0};
	GtkTreeIter b_iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_;
	GValue _tmp4_ = {0};
	GValue _tmp5_;
	MayaBackend* _tmp6_;
	GValue _tmp7_;
	ESource* _tmp8_;
	GeeCollection* _tmp9_;
#line 83 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->type_combobox;
#line 83 "../src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 83 "../src/SourceDialog/SourceDialog.vala"
	b_iter = _tmp1_;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->list_store;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = b_iter;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 84 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	backend = _tmp4_;
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = backend;
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _g_object_ref0 (g_value_get_object (&_tmp5_));
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 85 "../src/SourceDialog/SourceDialog.vala"
	self->priv->current_backend = _tmp6_;
#line 86 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_remove_backend_widgets (self);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = backend;
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = maya_backend_get_new_calendar_widget (g_value_get_object (&_tmp7_), _tmp8_);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	self->priv->backend_widgets = _tmp9_;
#line 88 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_add_backend_widgets (self);
#line 80 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 1251 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda160__gtk_combo_box_changed (GtkComboBox* _sender,
                                                              gpointer self)
{
#line 80 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda160_ ((MayaViewSourceDialog*) self);
#line 1260 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda161_ (MayaViewSourceDialog* self)
{
#line 186 "../src/SourceDialog/SourceDialog.vala"
	self->priv->set_as_default = !self->priv->set_as_default;
#line 1268 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda161__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 185 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda161_ ((MayaViewSourceDialog*) self);
#line 1277 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda162_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 190 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#da3d41");
#line 190 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 190 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1290 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda162__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 189 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda162_ ((MayaViewSourceDialog*) self);
#line 1299 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda163_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 194 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#f37329");
#line 194 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 194 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1312 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda163__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 193 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda163_ ((MayaViewSourceDialog*) self);
#line 1321 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda164_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 198 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#e6a92a");
#line 198 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 198 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1334 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda164__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 197 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda164_ ((MayaViewSourceDialog*) self);
#line 1343 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda165_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 202 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#81c837");
#line 202 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 202 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1356 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda165__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 201 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda165_ ((MayaViewSourceDialog*) self);
#line 1365 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda166_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 206 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#3689e6");
#line 206 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 206 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1378 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda166__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 205 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda166_ ((MayaViewSourceDialog*) self);
#line 1387 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda167_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 210 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#a56de2");
#line 210 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 210 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1400 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda167__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 209 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda167_ ((MayaViewSourceDialog*) self);
#line 1409 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda168_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 214 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#8a715e");
#line 214 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 214 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1422 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda168__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 213 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda168_ ((MayaViewSourceDialog*) self);
#line 1431 "SourceDialog.c"
}

static void
_maya_view_source_dialog___lambda169_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 218 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#667885");
#line 218 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 218 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1444 "SourceDialog.c"
}

static void
__maya_view_source_dialog___lambda169__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 217 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda169_ ((MayaViewSourceDialog*) self);
#line 1453 "SourceDialog.c"
}

static GObject *
maya_view_source_dialog_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	MayaViewSourceDialog * self;
	GeeHashMap* _tmp0_;
	GtkButton* cancel_button = NULL;
	GtkButton* _tmp1_;
	GtkButton* _tmp2_;
	GtkButton* _tmp3_;
	GtkButton* _tmp4_;
	GtkButtonBox* buttonbox = NULL;
	GtkButtonBox* _tmp5_;
	GtkButtonBox* _tmp6_;
	GtkButtonBox* _tmp7_;
	GtkButtonBox* _tmp8_;
	GtkButton* _tmp9_;
	GtkButtonBox* _tmp10_;
	GtkButton* _tmp11_;
	GtkLabel* name_label = NULL;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkEntry* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkListStore* _tmp17_;
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp18_;
	GtkListStore* _tmp19_;
	GtkComboBox* _tmp20_;
	GtkComboBox* _tmp21_;
	GtkComboBox* _tmp22_;
	GtkCellRendererText* _tmp23_;
	GtkComboBox* _tmp24_;
	GtkCellRendererText* _tmp25_;
	GtkComboBox* _tmp26_;
	GtkLabel* type_label = NULL;
	GtkLabel* _tmp27_;
	GtkLabel* _tmp28_;
	GtkTreeIter iter = {0};
	MayaBackendsManager* backends_manager = NULL;
	MayaBackendsManager* _tmp29_;
	MayaBackendsManager* _tmp47_;
	GeeArrayList* _tmp48_;
	gint _tmp49_;
	gint _tmp50_;
	GtkComboBox* _tmp53_;
	GtkCssProvider* css_provider = NULL;
	GtkCssProvider* _tmp54_;
	GtkCssProvider* _tmp55_;
	GtkLabel* color_label = NULL;
	GtkLabel* _tmp56_;
	GtkLabel* _tmp57_;
	GtkRadioButton* _tmp58_;
	GtkStyleContext* color_button_red_context = NULL;
	GtkRadioButton* _tmp59_;
	GtkStyleContext* _tmp60_;
	GtkStyleContext* _tmp61_;
	GtkStyleContext* _tmp62_;
	GtkStyleContext* _tmp63_;
	GtkStyleContext* _tmp64_;
	GtkCssProvider* _tmp65_;
	GtkRadioButton* _tmp66_;
	GtkRadioButton* _tmp67_;
	GtkStyleContext* color_button_orange_context = NULL;
	GtkRadioButton* _tmp68_;
	GtkStyleContext* _tmp69_;
	GtkStyleContext* _tmp70_;
	GtkStyleContext* _tmp71_;
	GtkStyleContext* _tmp72_;
	GtkStyleContext* _tmp73_;
	GtkCssProvider* _tmp74_;
	GtkRadioButton* _tmp75_;
	GtkRadioButton* _tmp76_;
	GtkStyleContext* color_button_yellow_context = NULL;
	GtkRadioButton* _tmp77_;
	GtkStyleContext* _tmp78_;
	GtkStyleContext* _tmp79_;
	GtkStyleContext* _tmp80_;
	GtkStyleContext* _tmp81_;
	GtkStyleContext* _tmp82_;
	GtkCssProvider* _tmp83_;
	GtkRadioButton* _tmp84_;
	GtkRadioButton* _tmp85_;
	GtkStyleContext* color_button_green_context = NULL;
	GtkRadioButton* _tmp86_;
	GtkStyleContext* _tmp87_;
	GtkStyleContext* _tmp88_;
	GtkStyleContext* _tmp89_;
	GtkStyleContext* _tmp90_;
	GtkStyleContext* _tmp91_;
	GtkCssProvider* _tmp92_;
	GtkRadioButton* _tmp93_;
	GtkRadioButton* _tmp94_;
	GtkStyleContext* color_button_blue_context = NULL;
	GtkRadioButton* _tmp95_;
	GtkStyleContext* _tmp96_;
	GtkStyleContext* _tmp97_;
	GtkStyleContext* _tmp98_;
	GtkStyleContext* _tmp99_;
	GtkStyleContext* _tmp100_;
	GtkCssProvider* _tmp101_;
	GtkRadioButton* _tmp102_;
	GtkRadioButton* _tmp103_;
	GtkStyleContext* color_button_purple_context = NULL;
	GtkRadioButton* _tmp104_;
	GtkStyleContext* _tmp105_;
	GtkStyleContext* _tmp106_;
	GtkStyleContext* _tmp107_;
	GtkStyleContext* _tmp108_;
	GtkStyleContext* _tmp109_;
	GtkCssProvider* _tmp110_;
	GtkRadioButton* _tmp111_;
	GtkRadioButton* _tmp112_;
	GtkStyleContext* color_button_brown_context = NULL;
	GtkRadioButton* _tmp113_;
	GtkStyleContext* _tmp114_;
	GtkStyleContext* _tmp115_;
	GtkStyleContext* _tmp116_;
	GtkStyleContext* _tmp117_;
	GtkStyleContext* _tmp118_;
	GtkCssProvider* _tmp119_;
	GtkRadioButton* _tmp120_;
	GtkRadioButton* _tmp121_;
	GtkStyleContext* color_button_slate_context = NULL;
	GtkRadioButton* _tmp122_;
	GtkStyleContext* _tmp123_;
	GtkStyleContext* _tmp124_;
	GtkStyleContext* _tmp125_;
	GtkStyleContext* _tmp126_;
	GtkStyleContext* _tmp127_;
	GtkCssProvider* _tmp128_;
	GtkRadioButton* _tmp129_;
	GtkRadioButton* _tmp130_;
	GtkGrid* color_grid = NULL;
	GtkGrid* _tmp131_;
	GtkGrid* _tmp132_;
	GtkGrid* _tmp133_;
	GtkRadioButton* _tmp134_;
	GtkGrid* _tmp135_;
	GtkRadioButton* _tmp136_;
	GtkGrid* _tmp137_;
	GtkRadioButton* _tmp138_;
	GtkGrid* _tmp139_;
	GtkRadioButton* _tmp140_;
	GtkGrid* _tmp141_;
	GtkRadioButton* _tmp142_;
	GtkGrid* _tmp143_;
	GtkRadioButton* _tmp144_;
	GtkGrid* _tmp145_;
	GtkRadioButton* _tmp146_;
	GtkGrid* _tmp147_;
	GtkRadioButton* _tmp148_;
	GtkCheckButton* check_button = NULL;
	GtkCheckButton* _tmp149_;
	GtkCheckButton* _tmp150_;
	GtkRadioButton* _tmp151_;
	GtkRadioButton* _tmp152_;
	GtkRadioButton* _tmp153_;
	GtkRadioButton* _tmp154_;
	GtkRadioButton* _tmp155_;
	GtkRadioButton* _tmp156_;
	GtkRadioButton* _tmp157_;
	GtkRadioButton* _tmp158_;
	GtkGrid* _tmp159_;
	GtkGrid* _tmp160_;
	GtkGrid* _tmp161_;
	GtkGrid* _tmp162_;
	GtkLabel* _tmp163_;
	GtkGrid* _tmp164_;
	GtkComboBox* _tmp165_;
	GtkGrid* _tmp166_;
	GtkLabel* _tmp167_;
	GtkGrid* _tmp168_;
	GtkEntry* _tmp169_;
	GtkGrid* _tmp170_;
	GtkLabel* _tmp171_;
	GtkGrid* _tmp172_;
	GtkGrid* _tmp173_;
	GtkGrid* _tmp174_;
	GtkCheckButton* _tmp175_;
	GtkGrid* _tmp176_;
	GtkButtonBox* _tmp177_;
#line 49 "../src/SourceDialog/SourceDialog.vala"
	parent_class = G_OBJECT_CLASS (maya_view_source_dialog_parent_class);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 50 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_BOOLEAN, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 50 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 50 "../src/SourceDialog/SourceDialog.vala"
	self->priv->widgets_checked = _tmp0_;
#line 52 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 52 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 52 "../src/SourceDialog/SourceDialog.vala"
	cancel_button = _tmp1_;
#line 53 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = (GtkButton*) gtk_button_new_with_label (_ ("Create"));
#line 53 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 53 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 53 "../src/SourceDialog/SourceDialog.vala"
	self->priv->create_button = _tmp2_;
#line 55 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = self->priv->create_button;
#line 55 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp3_, "clicked", (GCallback) _maya_view_source_dialog_save_gtk_button_clicked, self, 0);
#line 56 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = cancel_button;
#line 56 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp4_, "clicked", (GCallback) __maya_view_source_dialog___lambda158__gtk_button_clicked, self, 0);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	buttonbox = _tmp5_;
#line 59 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = buttonbox;
#line 59 "../src/SourceDialog/SourceDialog.vala"
	g_object_set (_tmp6_, "layout-style", GTK_BUTTONBOX_END, NULL);
#line 60 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = buttonbox;
#line 60 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp7_, 6);
#line 61 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = buttonbox;
#line 61 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = cancel_button;
#line 61 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp8_, (GtkWidget*) _tmp9_, TRUE, TRUE, (guint) 0);
#line 62 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = buttonbox;
#line 62 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = self->priv->create_button;
#line 62 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp10_, (GtkWidget*) _tmp11_, TRUE, TRUE, (guint) 0);
#line 64 "../src/SourceDialog/SourceDialog.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("Name:"));
#line 64 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 64 "../src/SourceDialog/SourceDialog.vala"
	name_label = _tmp12_;
#line 65 "../src/SourceDialog/SourceDialog.vala"
	_tmp13_ = name_label;
#line 65 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp13_, (gfloat) 1);
#line 67 "../src/SourceDialog/SourceDialog.vala"
	_tmp14_ = (GtkEntry*) gtk_entry_new ();
#line 67 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp14_);
#line 67 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 67 "../src/SourceDialog/SourceDialog.vala"
	self->priv->name_entry = _tmp14_;
#line 68 "../src/SourceDialog/SourceDialog.vala"
	_tmp15_ = self->priv->name_entry;
#line 68 "../src/SourceDialog/SourceDialog.vala"
	gtk_entry_set_placeholder_text (_tmp15_, _ ("Calendar Name"));
#line 69 "../src/SourceDialog/SourceDialog.vala"
	_tmp16_ = self->priv->name_entry;
#line 69 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp16_, "changed", (GCallback) __maya_view_source_dialog___lambda159__gtk_editable_changed, self, 0);
#line 71 "../src/SourceDialog/SourceDialog.vala"
	_tmp17_ = gtk_list_store_new (2, G_TYPE_STRING, MAYA_TYPE_BACKEND, -1);
#line 71 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 71 "../src/SourceDialog/SourceDialog.vala"
	self->priv->list_store = _tmp17_;
#line 73 "../src/SourceDialog/SourceDialog.vala"
	_tmp18_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 73 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp18_);
#line 73 "../src/SourceDialog/SourceDialog.vala"
	renderer = _tmp18_;
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_tmp19_ = self->priv->list_store;
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_tmp20_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp19_);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	self->priv->type_combobox = _tmp20_;
#line 76 "../src/SourceDialog/SourceDialog.vala"
	_tmp21_ = self->priv->type_combobox;
#line 76 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp21_, TRUE);
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_tmp22_ = self->priv->type_combobox;
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_tmp23_ = renderer;
#line 77 "../src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp22_, (GtkCellRenderer*) _tmp23_, TRUE);
#line 78 "../src/SourceDialog/SourceDialog.vala"
	_tmp24_ = self->priv->type_combobox;
#line 78 "../src/SourceDialog/SourceDialog.vala"
	_tmp25_ = renderer;
#line 78 "../src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp24_, (GtkCellRenderer*) _tmp25_, "text", 0);
#line 80 "../src/SourceDialog/SourceDialog.vala"
	_tmp26_ = self->priv->type_combobox;
#line 80 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp26_, "changed", (GCallback) __maya_view_source_dialog___lambda160__gtk_combo_box_changed, self, 0);
#line 91 "../src/SourceDialog/SourceDialog.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (_ ("Type:"));
#line 91 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 91 "../src/SourceDialog/SourceDialog.vala"
	type_label = _tmp27_;
#line 92 "../src/SourceDialog/SourceDialog.vala"
	_tmp28_ = type_label;
#line 92 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp28_, 1.0f);
#line 95 "../src/SourceDialog/SourceDialog.vala"
	_tmp29_ = maya_backends_manager_get_default ();
#line 95 "../src/SourceDialog/SourceDialog.vala"
	backends_manager = _tmp29_;
#line 1784 "SourceDialog.c"
	{
		GeeArrayList* _backend_list = NULL;
		MayaBackendsManager* _tmp30_;
		GeeArrayList* _tmp31_;
		GeeArrayList* _tmp32_;
		gint _backend_size = 0;
		GeeArrayList* _tmp33_;
		gint _tmp34_;
		gint _tmp35_;
		gint _backend_index = 0;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp30_ = backends_manager;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp31_ = _tmp30_->backends;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp32_ = _g_object_ref0 (_tmp31_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_backend_list = _tmp32_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp33_ = _backend_list;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp34_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp33_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp35_ = _tmp34_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_backend_size = _tmp35_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_backend_index = -1;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1815 "SourceDialog.c"
			MayaBackend* backend = NULL;
			GeeArrayList* _tmp36_;
			gpointer _tmp37_;
			MayaBackend* _tmp38_;
			GtkListStore* _tmp39_;
			GtkTreeIter _tmp40_ = {0};
			GtkListStore* _tmp41_;
			GtkTreeIter _tmp42_;
			MayaBackend* _tmp43_;
			gchar* _tmp44_;
			gchar* _tmp45_;
			MayaBackend* _tmp46_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_backend_index = _backend_index + 1;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			if (!(_backend_index < _backend_size)) {
#line 96 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 1834 "SourceDialog.c"
			}
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp36_ = _backend_list;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp37_ = gee_abstract_list_get ((GeeAbstractList*) _tmp36_, _backend_index);
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp38_ = _g_object_ref0 ((MayaBackend*) _tmp37_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
			backend = _tmp38_;
#line 97 "../src/SourceDialog/SourceDialog.vala"
			_tmp39_ = self->priv->list_store;
#line 97 "../src/SourceDialog/SourceDialog.vala"
			gtk_list_store_append (_tmp39_, &_tmp40_);
#line 97 "../src/SourceDialog/SourceDialog.vala"
			iter = _tmp40_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp41_ = self->priv->list_store;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp42_ = iter;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp43_ = backend;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp44_ = maya_backend_get_name (_tmp43_);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp45_ = _tmp44_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp46_ = backend;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			gtk_list_store_set (_tmp41_, &_tmp42_, 0, _tmp45_, 1, _tmp46_, -1);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_g_free0 (_tmp45_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (backend);
#line 1868 "SourceDialog.c"
		}
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_backend_list);
#line 1872 "SourceDialog.c"
	}
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp47_ = backends_manager;
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp48_ = _tmp47_->backends;
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp49_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp48_);
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp50_ = _tmp49_;
#line 101 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp50_ <= 1) {
#line 1884 "SourceDialog.c"
		GtkComboBox* _tmp51_;
		GtkLabel* _tmp52_;
#line 102 "../src/SourceDialog/SourceDialog.vala"
		_tmp51_ = self->priv->type_combobox;
#line 102 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp51_, TRUE);
#line 103 "../src/SourceDialog/SourceDialog.vala"
		_tmp52_ = type_label;
#line 103 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp52_, TRUE);
#line 1895 "SourceDialog.c"
	}
#line 106 "../src/SourceDialog/SourceDialog.vala"
	_tmp53_ = self->priv->type_combobox;
#line 106 "../src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_set_active (_tmp53_, 0);
#line 108 "../src/SourceDialog/SourceDialog.vala"
	_tmp54_ = gtk_css_provider_new ();
#line 108 "../src/SourceDialog/SourceDialog.vala"
	css_provider = _tmp54_;
#line 109 "../src/SourceDialog/SourceDialog.vala"
	_tmp55_ = css_provider;
#line 109 "../src/SourceDialog/SourceDialog.vala"
	gtk_css_provider_load_from_resource (_tmp55_, "/io/elementary/calendar/ColorButton.css");
#line 111 "../src/SourceDialog/SourceDialog.vala"
	_tmp56_ = (GtkLabel*) gtk_label_new (_ ("Color:"));
#line 111 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp56_);
#line 111 "../src/SourceDialog/SourceDialog.vala"
	color_label = _tmp56_;
#line 112 "../src/SourceDialog/SourceDialog.vala"
	_tmp57_ = color_label;
#line 112 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp57_, (gfloat) 1);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	_tmp58_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp58_);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_red);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_red = _tmp58_;
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp59_ = self->priv->color_button_red;
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp60_ = gtk_widget_get_style_context ((GtkWidget*) _tmp59_);
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp61_ = _g_object_ref0 (_tmp60_);
#line 116 "../src/SourceDialog/SourceDialog.vala"
	color_button_red_context = _tmp61_;
#line 117 "../src/SourceDialog/SourceDialog.vala"
	_tmp62_ = color_button_red_context;
#line 117 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp62_, "color-button");
#line 118 "../src/SourceDialog/SourceDialog.vala"
	_tmp63_ = color_button_red_context;
#line 118 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp63_, "red");
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_tmp64_ = color_button_red_context;
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_tmp65_ = css_provider;
#line 119 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp64_, (GtkStyleProvider*) _tmp65_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp66_ = self->priv->color_button_red;
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp67_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp66_);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp67_);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_orange);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_orange = _tmp67_;
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp68_ = self->priv->color_button_orange;
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp69_ = gtk_widget_get_style_context ((GtkWidget*) _tmp68_);
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp70_ = _g_object_ref0 (_tmp69_);
#line 123 "../src/SourceDialog/SourceDialog.vala"
	color_button_orange_context = _tmp70_;
#line 124 "../src/SourceDialog/SourceDialog.vala"
	_tmp71_ = color_button_orange_context;
#line 124 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp71_, "color-button");
#line 125 "../src/SourceDialog/SourceDialog.vala"
	_tmp72_ = color_button_orange_context;
#line 125 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp72_, "orange");
#line 126 "../src/SourceDialog/SourceDialog.vala"
	_tmp73_ = color_button_orange_context;
#line 126 "../src/SourceDialog/SourceDialog.vala"
	_tmp74_ = css_provider;
#line 126 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp73_, (GtkStyleProvider*) _tmp74_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_tmp75_ = self->priv->color_button_red;
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_tmp76_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp75_);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp76_);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_yellow);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_yellow = _tmp76_;
#line 130 "../src/SourceDialog/SourceDialog.vala"
	_tmp77_ = self->priv->color_button_yellow;
#line 130 "../src/SourceDialog/SourceDialog.vala"
	_tmp78_ = gtk_widget_get_style_context ((GtkWidget*) _tmp77_);
#line 130 "../src/SourceDialog/SourceDialog.vala"
	_tmp79_ = _g_object_ref0 (_tmp78_);
#line 130 "../src/SourceDialog/SourceDialog.vala"
	color_button_yellow_context = _tmp79_;
#line 131 "../src/SourceDialog/SourceDialog.vala"
	_tmp80_ = color_button_yellow_context;
#line 131 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp80_, "color-button");
#line 132 "../src/SourceDialog/SourceDialog.vala"
	_tmp81_ = color_button_yellow_context;
#line 132 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp81_, "yellow");
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp82_ = color_button_yellow_context;
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp83_ = css_provider;
#line 133 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp82_, (GtkStyleProvider*) _tmp83_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_tmp84_ = self->priv->color_button_red;
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_tmp85_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp84_);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp85_);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_green);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_green = _tmp85_;
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp86_ = self->priv->color_button_green;
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp87_ = gtk_widget_get_style_context ((GtkWidget*) _tmp86_);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp88_ = _g_object_ref0 (_tmp87_);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	color_button_green_context = _tmp88_;
#line 138 "../src/SourceDialog/SourceDialog.vala"
	_tmp89_ = color_button_green_context;
#line 138 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp89_, "color-button");
#line 139 "../src/SourceDialog/SourceDialog.vala"
	_tmp90_ = color_button_green_context;
#line 139 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp90_, "green");
#line 140 "../src/SourceDialog/SourceDialog.vala"
	_tmp91_ = color_button_green_context;
#line 140 "../src/SourceDialog/SourceDialog.vala"
	_tmp92_ = css_provider;
#line 140 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp91_, (GtkStyleProvider*) _tmp92_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	_tmp93_ = self->priv->color_button_red;
#line 142 "../src/SourceDialog/SourceDialog.vala"
	_tmp94_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp93_);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp94_);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_blue);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_blue = _tmp94_;
#line 144 "../src/SourceDialog/SourceDialog.vala"
	_tmp95_ = self->priv->color_button_blue;
#line 144 "../src/SourceDialog/SourceDialog.vala"
	_tmp96_ = gtk_widget_get_style_context ((GtkWidget*) _tmp95_);
#line 144 "../src/SourceDialog/SourceDialog.vala"
	_tmp97_ = _g_object_ref0 (_tmp96_);
#line 144 "../src/SourceDialog/SourceDialog.vala"
	color_button_blue_context = _tmp97_;
#line 145 "../src/SourceDialog/SourceDialog.vala"
	_tmp98_ = color_button_blue_context;
#line 145 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp98_, "color-button");
#line 146 "../src/SourceDialog/SourceDialog.vala"
	_tmp99_ = color_button_blue_context;
#line 146 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp99_, "blue");
#line 147 "../src/SourceDialog/SourceDialog.vala"
	_tmp100_ = color_button_blue_context;
#line 147 "../src/SourceDialog/SourceDialog.vala"
	_tmp101_ = css_provider;
#line 147 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp100_, (GtkStyleProvider*) _tmp101_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_tmp102_ = self->priv->color_button_red;
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_tmp103_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp102_);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp103_);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_purple);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_purple = _tmp103_;
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp104_ = self->priv->color_button_purple;
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp105_ = gtk_widget_get_style_context ((GtkWidget*) _tmp104_);
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp106_ = _g_object_ref0 (_tmp105_);
#line 151 "../src/SourceDialog/SourceDialog.vala"
	color_button_purple_context = _tmp106_;
#line 152 "../src/SourceDialog/SourceDialog.vala"
	_tmp107_ = color_button_purple_context;
#line 152 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp107_, "color-button");
#line 153 "../src/SourceDialog/SourceDialog.vala"
	_tmp108_ = color_button_purple_context;
#line 153 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp108_, "purple");
#line 154 "../src/SourceDialog/SourceDialog.vala"
	_tmp109_ = color_button_purple_context;
#line 154 "../src/SourceDialog/SourceDialog.vala"
	_tmp110_ = css_provider;
#line 154 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp109_, (GtkStyleProvider*) _tmp110_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	_tmp111_ = self->priv->color_button_red;
#line 156 "../src/SourceDialog/SourceDialog.vala"
	_tmp112_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp111_);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp112_);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_brown);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_brown = _tmp112_;
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp113_ = self->priv->color_button_brown;
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp114_ = gtk_widget_get_style_context ((GtkWidget*) _tmp113_);
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp115_ = _g_object_ref0 (_tmp114_);
#line 158 "../src/SourceDialog/SourceDialog.vala"
	color_button_brown_context = _tmp115_;
#line 159 "../src/SourceDialog/SourceDialog.vala"
	_tmp116_ = color_button_brown_context;
#line 159 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp116_, "color-button");
#line 160 "../src/SourceDialog/SourceDialog.vala"
	_tmp117_ = color_button_brown_context;
#line 160 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp117_, "brown");
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_tmp118_ = color_button_brown_context;
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_tmp119_ = css_provider;
#line 161 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp118_, (GtkStyleProvider*) _tmp119_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp120_ = self->priv->color_button_red;
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp121_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp120_);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp121_);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_slate);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_slate = _tmp121_;
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp122_ = self->priv->color_button_slate;
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp123_ = gtk_widget_get_style_context ((GtkWidget*) _tmp122_);
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp124_ = _g_object_ref0 (_tmp123_);
#line 165 "../src/SourceDialog/SourceDialog.vala"
	color_button_slate_context = _tmp124_;
#line 166 "../src/SourceDialog/SourceDialog.vala"
	_tmp125_ = color_button_slate_context;
#line 166 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp125_, "color-button");
#line 167 "../src/SourceDialog/SourceDialog.vala"
	_tmp126_ = color_button_slate_context;
#line 167 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp126_, "slate");
#line 168 "../src/SourceDialog/SourceDialog.vala"
	_tmp127_ = color_button_slate_context;
#line 168 "../src/SourceDialog/SourceDialog.vala"
	_tmp128_ = css_provider;
#line 168 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp127_, (GtkStyleProvider*) _tmp128_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_tmp129_ = self->priv->color_button_red;
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_tmp130_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp129_);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp130_);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_none);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_none = _tmp130_;
#line 172 "../src/SourceDialog/SourceDialog.vala"
	_tmp131_ = (GtkGrid*) gtk_grid_new ();
#line 172 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp131_);
#line 172 "../src/SourceDialog/SourceDialog.vala"
	color_grid = _tmp131_;
#line 173 "../src/SourceDialog/SourceDialog.vala"
	_tmp132_ = color_grid;
#line 173 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp132_, 12);
#line 174 "../src/SourceDialog/SourceDialog.vala"
	_tmp133_ = color_grid;
#line 174 "../src/SourceDialog/SourceDialog.vala"
	_tmp134_ = self->priv->color_button_red;
#line 174 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp133_, (GtkWidget*) _tmp134_);
#line 175 "../src/SourceDialog/SourceDialog.vala"
	_tmp135_ = color_grid;
#line 175 "../src/SourceDialog/SourceDialog.vala"
	_tmp136_ = self->priv->color_button_orange;
#line 175 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp135_, (GtkWidget*) _tmp136_);
#line 176 "../src/SourceDialog/SourceDialog.vala"
	_tmp137_ = color_grid;
#line 176 "../src/SourceDialog/SourceDialog.vala"
	_tmp138_ = self->priv->color_button_yellow;
#line 176 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp137_, (GtkWidget*) _tmp138_);
#line 177 "../src/SourceDialog/SourceDialog.vala"
	_tmp139_ = color_grid;
#line 177 "../src/SourceDialog/SourceDialog.vala"
	_tmp140_ = self->priv->color_button_green;
#line 177 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp139_, (GtkWidget*) _tmp140_);
#line 178 "../src/SourceDialog/SourceDialog.vala"
	_tmp141_ = color_grid;
#line 178 "../src/SourceDialog/SourceDialog.vala"
	_tmp142_ = self->priv->color_button_blue;
#line 178 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp141_, (GtkWidget*) _tmp142_);
#line 179 "../src/SourceDialog/SourceDialog.vala"
	_tmp143_ = color_grid;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	_tmp144_ = self->priv->color_button_purple;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp143_, (GtkWidget*) _tmp144_);
#line 180 "../src/SourceDialog/SourceDialog.vala"
	_tmp145_ = color_grid;
#line 180 "../src/SourceDialog/SourceDialog.vala"
	_tmp146_ = self->priv->color_button_brown;
#line 180 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp145_, (GtkWidget*) _tmp146_);
#line 181 "../src/SourceDialog/SourceDialog.vala"
	_tmp147_ = color_grid;
#line 181 "../src/SourceDialog/SourceDialog.vala"
	_tmp148_ = self->priv->color_button_slate;
#line 181 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp147_, (GtkWidget*) _tmp148_);
#line 183 "../src/SourceDialog/SourceDialog.vala"
	_tmp149_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Mark as default calendar"));
#line 183 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp149_);
#line 183 "../src/SourceDialog/SourceDialog.vala"
	check_button = _tmp149_;
#line 185 "../src/SourceDialog/SourceDialog.vala"
	_tmp150_ = check_button;
#line 185 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp150_, "toggled", (GCallback) __maya_view_source_dialog___lambda161__gtk_toggle_button_toggled, self, 0);
#line 189 "../src/SourceDialog/SourceDialog.vala"
	_tmp151_ = self->priv->color_button_red;
#line 189 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp151_, "toggled", (GCallback) __maya_view_source_dialog___lambda162__gtk_toggle_button_toggled, self, 0);
#line 193 "../src/SourceDialog/SourceDialog.vala"
	_tmp152_ = self->priv->color_button_orange;
#line 193 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp152_, "toggled", (GCallback) __maya_view_source_dialog___lambda163__gtk_toggle_button_toggled, self, 0);
#line 197 "../src/SourceDialog/SourceDialog.vala"
	_tmp153_ = self->priv->color_button_yellow;
#line 197 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp153_, "toggled", (GCallback) __maya_view_source_dialog___lambda164__gtk_toggle_button_toggled, self, 0);
#line 201 "../src/SourceDialog/SourceDialog.vala"
	_tmp154_ = self->priv->color_button_green;
#line 201 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp154_, "toggled", (GCallback) __maya_view_source_dialog___lambda165__gtk_toggle_button_toggled, self, 0);
#line 205 "../src/SourceDialog/SourceDialog.vala"
	_tmp155_ = self->priv->color_button_blue;
#line 205 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp155_, "toggled", (GCallback) __maya_view_source_dialog___lambda166__gtk_toggle_button_toggled, self, 0);
#line 209 "../src/SourceDialog/SourceDialog.vala"
	_tmp156_ = self->priv->color_button_purple;
#line 209 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp156_, "toggled", (GCallback) __maya_view_source_dialog___lambda167__gtk_toggle_button_toggled, self, 0);
#line 213 "../src/SourceDialog/SourceDialog.vala"
	_tmp157_ = self->priv->color_button_brown;
#line 213 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp157_, "toggled", (GCallback) __maya_view_source_dialog___lambda168__gtk_toggle_button_toggled, self, 0);
#line 217 "../src/SourceDialog/SourceDialog.vala"
	_tmp158_ = self->priv->color_button_slate;
#line 217 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp158_, "toggled", (GCallback) __maya_view_source_dialog___lambda169__gtk_toggle_button_toggled, self, 0);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	_tmp159_ = (GtkGrid*) gtk_grid_new ();
#line 221 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp159_);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	self->priv->main_grid = _tmp159_;
#line 222 "../src/SourceDialog/SourceDialog.vala"
	_tmp160_ = self->priv->main_grid;
#line 222 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing (_tmp160_, 6);
#line 223 "../src/SourceDialog/SourceDialog.vala"
	_tmp161_ = self->priv->main_grid;
#line 223 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp161_, 12);
#line 224 "../src/SourceDialog/SourceDialog.vala"
	_tmp162_ = self->priv->main_grid;
#line 224 "../src/SourceDialog/SourceDialog.vala"
	_tmp163_ = type_label;
#line 224 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp162_, (GtkWidget*) _tmp163_, 0, 0, 1, 1);
#line 225 "../src/SourceDialog/SourceDialog.vala"
	_tmp164_ = self->priv->main_grid;
#line 225 "../src/SourceDialog/SourceDialog.vala"
	_tmp165_ = self->priv->type_combobox;
#line 225 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp164_, (GtkWidget*) _tmp165_, 1, 0, 1, 1);
#line 226 "../src/SourceDialog/SourceDialog.vala"
	_tmp166_ = self->priv->main_grid;
#line 226 "../src/SourceDialog/SourceDialog.vala"
	_tmp167_ = name_label;
#line 226 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp166_, (GtkWidget*) _tmp167_, 0, 1, 1, 1);
#line 227 "../src/SourceDialog/SourceDialog.vala"
	_tmp168_ = self->priv->main_grid;
#line 227 "../src/SourceDialog/SourceDialog.vala"
	_tmp169_ = self->priv->name_entry;
#line 227 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp168_, (GtkWidget*) _tmp169_, 1, 1, 1, 1);
#line 228 "../src/SourceDialog/SourceDialog.vala"
	_tmp170_ = self->priv->main_grid;
#line 228 "../src/SourceDialog/SourceDialog.vala"
	_tmp171_ = color_label;
#line 228 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp170_, (GtkWidget*) _tmp171_, 0, 2, 1, 1);
#line 229 "../src/SourceDialog/SourceDialog.vala"
	_tmp172_ = self->priv->main_grid;
#line 229 "../src/SourceDialog/SourceDialog.vala"
	_tmp173_ = color_grid;
#line 229 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp172_, (GtkWidget*) _tmp173_, 1, 2, 1, 1);
#line 230 "../src/SourceDialog/SourceDialog.vala"
	_tmp174_ = self->priv->main_grid;
#line 230 "../src/SourceDialog/SourceDialog.vala"
	_tmp175_ = check_button;
#line 230 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp174_, (GtkWidget*) _tmp175_, 1, 3, 1, 1);
#line 232 "../src/SourceDialog/SourceDialog.vala"
	g_object_set ((GtkWidget*) self, "margin", 12, NULL);
#line 233 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) self, 8);
#line 234 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 24);
#line 235 "../src/SourceDialog/SourceDialog.vala"
	_tmp176_ = self->priv->main_grid;
#line 235 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp176_, 0, 0, 1, 1);
#line 236 "../src/SourceDialog/SourceDialog.vala"
	_tmp177_ = buttonbox;
#line 236 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp177_, 0, 1, 1, 1);
#line 238 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (check_button);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_grid);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_slate_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_brown_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_purple_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_blue_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_green_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_yellow_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_orange_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_red_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_label);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (css_provider);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (backends_manager);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (type_label);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (renderer);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (name_label);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (buttonbox);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (cancel_button);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	return obj;
#line 2395 "SourceDialog.c"
}

static void
maya_view_source_dialog_class_init (MayaViewSourceDialogClass * klass,
                                    gpointer klass_data)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	g_type_class_adjust_private_offset (klass, &MayaViewSourceDialog_private_offset);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_dialog_get_property;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_dialog_set_property;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = maya_view_source_dialog_constructor;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_dialog_finalize;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY, maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY] = g_param_spec_enum ("event-type", "event-type", "event-type", MAYA_VIEW_TYPE_EVENT_TYPE, MAYA_VIEW_EVENT_TYPE_EDIT, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 22 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL] = g_signal_new ("go-back", MAYA_VIEW_TYPE_SOURCE_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2418 "SourceDialog.c"
}

static void
maya_view_source_dialog_instance_init (MayaViewSourceDialog * self,
                                       gpointer klass)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self->priv = maya_view_source_dialog_get_instance_private (self);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	self->priv->_event_type = MAYA_VIEW_EVENT_TYPE_EDIT;
#line 26 "../src/SourceDialog/SourceDialog.vala"
	self->priv->set_as_default = FALSE;
#line 35 "../src/SourceDialog/SourceDialog.vala"
	self->priv->source = NULL;
#line 2433 "SourceDialog.c"
}

static void
maya_view_source_dialog_finalize (GObject * obj)
{
	MayaViewSourceDialog * self;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 25 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 27 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 28 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 29 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 30 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 31 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 32 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 33 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 34 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 35 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 37 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_red);
#line 38 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_orange);
#line 39 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_yellow);
#line 40 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_green);
#line 41 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_blue);
#line 42 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_purple);
#line 43 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_brown);
#line 44 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_slate);
#line 45 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_none);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (maya_view_source_dialog_parent_class)->finalize (obj);
#line 2482 "SourceDialog.c"
}

GType
maya_view_source_dialog_get_type (void)
{
	static volatile gsize maya_view_source_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_source_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceDialog), 0, (GInstanceInitFunc) maya_view_source_dialog_instance_init, NULL };
		GType maya_view_source_dialog_type_id;
		maya_view_source_dialog_type_id = g_type_register_static (gtk_grid_get_type (), "MayaViewSourceDialog", &g_define_type_info, 0);
		MayaViewSourceDialog_private_offset = g_type_add_instance_private (maya_view_source_dialog_type_id, sizeof (MayaViewSourceDialogPrivate));
		g_once_init_leave (&maya_view_source_dialog_type_id__volatile, maya_view_source_dialog_type_id);
	}
	return maya_view_source_dialog_type_id__volatile;
}

static void
_vala_maya_view_source_dialog_get_property (GObject * object,
                                            guint property_id,
                                            GValue * value,
                                            GParamSpec * pspec)
{
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "../src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		g_value_set_enum (value, maya_view_source_dialog_get_event_type (self));
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2515 "SourceDialog.c"
		default:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2521 "SourceDialog.c"
	}
}

static void
_vala_maya_view_source_dialog_set_property (GObject * object,
                                            guint property_id,
                                            const GValue * value,
                                            GParamSpec * pspec)
{
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "../src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, g_value_get_enum (value));
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2541 "SourceDialog.c"
		default:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2547 "SourceDialog.c"
	}
}

