/* SourceItem.c generated by valac 0.43.91, the Vala compiler
 * generated from SourceItem.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <libedataserver/libedataserver.h>
#include <float.h>
#include <math.h>
#include "elementary-calendar.h"
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>

#define MAYA_VIEW_TYPE_SOURCE_ITEM (maya_view_source_item_get_type ())
#define MAYA_VIEW_SOURCE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem))
#define MAYA_VIEW_SOURCE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItemClass))
#define MAYA_VIEW_IS_SOURCE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM))
#define MAYA_VIEW_IS_SOURCE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_ITEM))
#define MAYA_VIEW_SOURCE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItemClass))

typedef struct _MayaViewSourceItem MayaViewSourceItem;
typedef struct _MayaViewSourceItemClass MayaViewSourceItemClass;
typedef struct _MayaViewSourceItemPrivate MayaViewSourceItemPrivate;
enum  {
	MAYA_VIEW_SOURCE_ITEM_0_PROPERTY,
	MAYA_VIEW_SOURCE_ITEM_LOCATION_PROPERTY,
	MAYA_VIEW_SOURCE_ITEM_LABEL_PROPERTY,
	MAYA_VIEW_SOURCE_ITEM_SOURCE_PROPERTY,
	MAYA_VIEW_SOURCE_ITEM_NUM_PROPERTIES
};
static GParamSpec* maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block23Data Block23Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
enum  {
	MAYA_VIEW_SOURCE_ITEM_REMOVE_REQUEST_SIGNAL,
	MAYA_VIEW_SOURCE_ITEM_EDIT_REQUEST_SIGNAL,
	MAYA_VIEW_SOURCE_ITEM_NUM_SIGNALS
};
static guint maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_NUM_SIGNALS] = {0};

struct _MayaViewSourceItem {
	GtkListBoxRow parent_instance;
	MayaViewSourceItemPrivate * priv;
};

struct _MayaViewSourceItemClass {
	GtkListBoxRowClass parent_class;
};

struct _MayaViewSourceItemPrivate {
	gchar* _location;
	gchar* _label;
	ESource* _source;
	GtkStack* stack;
	GtkGrid* info_grid;
	GtkButton* delete_button;
	GtkRevealer* delete_revealer;
	GtkButton* edit_button;
	GtkRevealer* edit_revealer;
	GtkLabel* calendar_name_label;
	GtkLabel* message_label;
	GtkCheckButton* visible_checkbutton;
};

struct _Block23Data {
	int _ref_count_;
	MayaViewSourceItem* self;
	ESourceCalendar* cal;
	ESource* source;
};

static gint MayaViewSourceItem_private_offset;
static gpointer maya_view_source_item_parent_class = NULL;

GType maya_view_source_item_get_type (void) G_GNUC_CONST;
MayaViewSourceItem* maya_view_source_item_new (ESource* source);
MayaViewSourceItem* maya_view_source_item_construct (GType object_type,
                                                     ESource* source);
static Block23Data* block23_data_ref (Block23Data* _data23_);
static void block23_data_unref (void * _userdata_);
static void maya_view_source_item_set_source (MayaViewSourceItem* self,
                                       ESource* value);
static void maya_view_source_item_set_label (MayaViewSourceItem* self,
                                      const gchar* value);
static void maya_view_source_item_set_location (MayaViewSourceItem* self,
                                         const gchar* value);
static void __lambda150_ (Block23Data* _data23_);
static void ___lambda150__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                              gpointer self);
static void maya_view_source_item_style_calendar_color (MayaViewSourceItem* self,
                                                 const gchar* color);
static void __lambda151_ (MayaViewSourceItem* self);
static void ___lambda151__gtk_button_clicked (GtkButton* _sender,
                                       gpointer self);
static void __lambda152_ (Block23Data* _data23_);
static void ___lambda152__gtk_button_clicked (GtkButton* _sender,
                                       gpointer self);
static void __lambda153_ (Block23Data* _data23_);
static void ___lambda153__gtk_button_clicked (GtkButton* _sender,
                                       gpointer self);
static void __lambda154_ (MayaViewSourceItem* self);
static void ___lambda154__gtk_button_clicked (GtkButton* _sender,
                                       gpointer self);
static gboolean __lambda155_ (MayaViewSourceItem* self,
                       GdkEventCrossing* event);
static gboolean ___lambda155__gtk_widget_enter_notify_event (GtkWidget* _sender,
                                                      GdkEventCrossing* event,
                                                      gpointer self);
static gboolean __lambda156_ (MayaViewSourceItem* self,
                       GdkEventCrossing* event);
static gboolean ___lambda156__gtk_widget_leave_notify_event (GtkWidget* _sender,
                                                      GdkEventCrossing* event,
                                                      gpointer self);
void maya_view_source_item_source_has_changed (MayaViewSourceItem* self);
static void _maya_view_source_item_source_has_changed_e_source_changed (ESource* _sender,
                                                                 gpointer self);
ESource* maya_view_source_item_get_source (MayaViewSourceItem* self);
void maya_view_source_item_show_calendar_removed (MayaViewSourceItem* self);
const gchar* maya_view_source_item_get_location (MayaViewSourceItem* self);
const gchar* maya_view_source_item_get_label (MayaViewSourceItem* self);
static void maya_view_source_item_finalize (GObject * obj);
static void _vala_maya_view_source_item_get_property (GObject * object,
                                               guint property_id,
                                               GValue * value,
                                               GParamSpec * pspec);
static void _vala_maya_view_source_item_set_property (GObject * object,
                                               guint property_id,
                                               const GValue * value,
                                               GParamSpec * pspec);

static inline gpointer
maya_view_source_item_get_instance_private (MayaViewSourceItem* self)
{
	return G_STRUCT_MEMBER_P (self, MayaViewSourceItem_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 41 "../src/SourceDialog/SourceItem.vala"
	return self ? g_object_ref (self) : NULL;
#line 167 "SourceItem.c"
}

static Block23Data*
block23_data_ref (Block23Data* _data23_)
{
#line 41 "../src/SourceDialog/SourceItem.vala"
	g_atomic_int_inc (&_data23_->_ref_count_);
#line 41 "../src/SourceDialog/SourceItem.vala"
	return _data23_;
#line 177 "SourceItem.c"
}

static void
block23_data_unref (void * _userdata_)
{
	Block23Data* _data23_;
	_data23_ = (Block23Data*) _userdata_;
#line 41 "../src/SourceDialog/SourceItem.vala"
	if (g_atomic_int_dec_and_test (&_data23_->_ref_count_)) {
#line 187 "SourceItem.c"
		MayaViewSourceItem* self;
#line 41 "../src/SourceDialog/SourceItem.vala"
		self = _data23_->self;
#line 41 "../src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (_data23_->cal);
#line 41 "../src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (_data23_->source);
#line 41 "../src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (self);
#line 41 "../src/SourceDialog/SourceItem.vala"
		g_slice_free (Block23Data, _data23_);
#line 199 "SourceItem.c"
	}
}

static void
__lambda150_ (Block23Data* _data23_)
{
	MayaViewSourceItem* self;
	MayaModelCalendarModel* calmodel = NULL;
	MayaModelCalendarModel* _tmp0_;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	ESourceCalendar* _tmp6_;
	GtkCheckButton* _tmp7_;
	gboolean _tmp8_;
	gboolean _tmp9_;
	GError* _inner_error0_ = NULL;
#line 56 "../src/SourceDialog/SourceItem.vala"
	self = _data23_->self;
#line 57 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = maya_model_calendar_model_get_default ();
#line 57 "../src/SourceDialog/SourceItem.vala"
	calmodel = _tmp0_;
#line 58 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->visible_checkbutton;
#line 58 "../src/SourceDialog/SourceItem.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 58 "../src/SourceDialog/SourceItem.vala"
	_tmp3_ = _tmp2_;
#line 58 "../src/SourceDialog/SourceItem.vala"
	if (_tmp3_ == TRUE) {
#line 231 "SourceItem.c"
		MayaModelCalendarModel* _tmp4_;
#line 59 "../src/SourceDialog/SourceItem.vala"
		_tmp4_ = calmodel;
#line 59 "../src/SourceDialog/SourceItem.vala"
		maya_model_calendar_model_add_source (_tmp4_, _data23_->source);
#line 237 "SourceItem.c"
	} else {
		MayaModelCalendarModel* _tmp5_;
#line 61 "../src/SourceDialog/SourceItem.vala"
		_tmp5_ = calmodel;
#line 61 "../src/SourceDialog/SourceItem.vala"
		maya_model_calendar_model_remove_source (_tmp5_, _data23_->source);
#line 244 "SourceItem.c"
	}
#line 64 "../src/SourceDialog/SourceItem.vala"
	_tmp6_ = _data23_->cal;
#line 64 "../src/SourceDialog/SourceItem.vala"
	_tmp7_ = self->priv->visible_checkbutton;
#line 64 "../src/SourceDialog/SourceItem.vala"
	_tmp8_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp7_);
#line 64 "../src/SourceDialog/SourceItem.vala"
	_tmp9_ = _tmp8_;
#line 64 "../src/SourceDialog/SourceItem.vala"
	e_source_selectable_set_selected ((ESourceSelectable*) _tmp6_, _tmp9_);
#line 256 "SourceItem.c"
	{
#line 66 "../src/SourceDialog/SourceItem.vala"
		e_source_write_sync (_data23_->source, NULL, &_inner_error0_);
#line 66 "../src/SourceDialog/SourceItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 262 "SourceItem.c"
			goto __catch19_g_error;
		}
	}
	goto __finally19;
	__catch19_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp10_;
		const gchar* _tmp11_;
#line 65 "../src/SourceDialog/SourceItem.vala"
		_error_ = _inner_error0_;
#line 65 "../src/SourceDialog/SourceItem.vala"
		_inner_error0_ = NULL;
#line 68 "../src/SourceDialog/SourceItem.vala"
		_tmp10_ = _error_;
#line 68 "../src/SourceDialog/SourceItem.vala"
		_tmp11_ = _tmp10_->message;
#line 68 "../src/SourceDialog/SourceItem.vala"
		g_critical ("SourceItem.vala:68: %s", _tmp11_);
#line 65 "../src/SourceDialog/SourceItem.vala"
		_g_error_free0 (_error_);
#line 284 "SourceItem.c"
	}
	__finally19:
#line 65 "../src/SourceDialog/SourceItem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 65 "../src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (calmodel);
#line 65 "../src/SourceDialog/SourceItem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 65 "../src/SourceDialog/SourceItem.vala"
		g_clear_error (&_inner_error0_);
#line 65 "../src/SourceDialog/SourceItem.vala"
		return;
#line 297 "SourceItem.c"
	}
#line 56 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (calmodel);
#line 301 "SourceItem.c"
}

static void
___lambda150__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                         gpointer self)
{
#line 56 "../src/SourceDialog/SourceItem.vala"
	__lambda150_ (self);
#line 310 "SourceItem.c"
}

static void
__lambda151_ (MayaViewSourceItem* self)
{
#line 136 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_hide ((GtkWidget*) self);
#line 137 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 320 "SourceItem.c"
}

static void
___lambda151__gtk_button_clicked (GtkButton* _sender,
                                  gpointer self)
{
#line 135 "../src/SourceDialog/SourceItem.vala"
	__lambda151_ ((MayaViewSourceItem*) self);
#line 329 "SourceItem.c"
}

static void
__lambda152_ (Block23Data* _data23_)
{
	MayaViewSourceItem* self;
#line 140 "../src/SourceDialog/SourceItem.vala"
	self = _data23_->self;
#line 140 "../src/SourceDialog/SourceItem.vala"
	g_signal_emit (self, maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_REMOVE_REQUEST_SIGNAL], 0, _data23_->source);
#line 340 "SourceItem.c"
}

static void
___lambda152__gtk_button_clicked (GtkButton* _sender,
                                  gpointer self)
{
#line 140 "../src/SourceDialog/SourceItem.vala"
	__lambda152_ (self);
#line 349 "SourceItem.c"
}

static void
__lambda153_ (Block23Data* _data23_)
{
	MayaViewSourceItem* self;
#line 142 "../src/SourceDialog/SourceItem.vala"
	self = _data23_->self;
#line 142 "../src/SourceDialog/SourceItem.vala"
	g_signal_emit (self, maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_EDIT_REQUEST_SIGNAL], 0, _data23_->source);
#line 360 "SourceItem.c"
}

static void
___lambda153__gtk_button_clicked (GtkButton* _sender,
                                  gpointer self)
{
#line 142 "../src/SourceDialog/SourceItem.vala"
	__lambda153_ (self);
#line 369 "SourceItem.c"
}

static void
__lambda154_ (MayaViewSourceItem* self)
{
	MayaModelCalendarModel* _tmp0_;
	MayaModelCalendarModel* _tmp1_;
	GtkStack* _tmp2_;
#line 145 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = maya_model_calendar_model_get_default ();
#line 145 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = _tmp0_;
#line 145 "../src/SourceDialog/SourceItem.vala"
	maya_model_calendar_model_restore_calendar (_tmp1_);
#line 145 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (_tmp1_);
#line 146 "../src/SourceDialog/SourceItem.vala"
	_tmp2_ = self->priv->stack;
#line 146 "../src/SourceDialog/SourceItem.vala"
	gtk_stack_set_visible_child_name (_tmp2_, "calendar");
#line 390 "SourceItem.c"
}

static void
___lambda154__gtk_button_clicked (GtkButton* _sender,
                                  gpointer self)
{
#line 144 "../src/SourceDialog/SourceItem.vala"
	__lambda154_ ((MayaViewSourceItem*) self);
#line 399 "SourceItem.c"
}

static gboolean
__lambda155_ (MayaViewSourceItem* self,
              GdkEventCrossing* event)
{
	gboolean result = FALSE;
	GtkRevealer* _tmp0_;
	GtkRevealer* _tmp1_;
#line 150 "../src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 151 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->delete_revealer;
#line 151 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp0_, TRUE);
#line 152 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->edit_revealer;
#line 152 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp1_, TRUE);
#line 153 "../src/SourceDialog/SourceItem.vala"
	result = FALSE;
#line 153 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 423 "SourceItem.c"
}

static gboolean
___lambda155__gtk_widget_enter_notify_event (GtkWidget* _sender,
                                             GdkEventCrossing* event,
                                             gpointer self)
{
	gboolean result;
	result = __lambda155_ ((MayaViewSourceItem*) self, event);
#line 150 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 435 "SourceItem.c"
}

static gboolean
__lambda156_ (MayaViewSourceItem* self,
              GdkEventCrossing* event)
{
	gboolean result = FALSE;
	GdkNotifyType _tmp0_;
	GtkRevealer* _tmp1_;
	GtkRevealer* _tmp2_;
#line 156 "../src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 157 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = event->detail;
#line 157 "../src/SourceDialog/SourceItem.vala"
	if (_tmp0_ == GDK_NOTIFY_INFERIOR) {
#line 158 "../src/SourceDialog/SourceItem.vala"
		result = FALSE;
#line 158 "../src/SourceDialog/SourceItem.vala"
		return result;
#line 456 "SourceItem.c"
	}
#line 160 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->delete_revealer;
#line 160 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp1_, FALSE);
#line 161 "../src/SourceDialog/SourceItem.vala"
	_tmp2_ = self->priv->edit_revealer;
#line 161 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp2_, FALSE);
#line 162 "../src/SourceDialog/SourceItem.vala"
	result = FALSE;
#line 162 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 470 "SourceItem.c"
}

static gboolean
___lambda156__gtk_widget_leave_notify_event (GtkWidget* _sender,
                                             GdkEventCrossing* event,
                                             gpointer self)
{
	gboolean result;
	result = __lambda156_ ((MayaViewSourceItem*) self, event);
#line 156 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 482 "SourceItem.c"
}

static void
_maya_view_source_item_source_has_changed_e_source_changed (ESource* _sender,
                                                            gpointer self)
{
#line 165 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_source_has_changed ((MayaViewSourceItem*) self);
#line 491 "SourceItem.c"
}

MayaViewSourceItem*
maya_view_source_item_construct (GType object_type,
                                 ESource* source)
{
	MayaViewSourceItem * self = NULL;
	Block23Data* _data23_;
	ESource* _tmp0_;
	ESourceExtension* _tmp1_;
	ESourceCalendar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	GtkLabel* _tmp5_;
	GtkLabel* _tmp6_;
	GtkLabel* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	GtkCheckButton* _tmp12_;
	GtkCheckButton* _tmp13_;
	ESourceCalendar* _tmp14_;
	gboolean _tmp15_;
	gboolean _tmp16_;
	GtkCheckButton* _tmp17_;
	ESourceCalendar* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	GtkButton* _tmp21_;
	const gchar* _tmp22_ = NULL;
	gboolean _tmp23_;
	gboolean _tmp24_;
	GtkButton* _tmp25_;
	GtkButton* _tmp26_;
	GtkButton* _tmp27_;
	gboolean _tmp28_;
	gboolean _tmp29_;
	GtkButton* _tmp30_;
	GtkStyleContext* _tmp31_;
	GtkRevealer* _tmp32_;
	GtkRevealer* _tmp33_;
	GtkRevealer* _tmp34_;
	GtkButton* _tmp35_;
	GtkRevealer* _tmp36_;
	GtkRevealer* _tmp37_;
	GtkButton* _tmp38_;
	const gchar* _tmp39_ = NULL;
	gboolean _tmp40_;
	gboolean _tmp41_;
	GtkButton* _tmp42_;
	GtkButton* _tmp43_;
	GtkButton* _tmp44_;
	gboolean _tmp45_;
	gboolean _tmp46_;
	GtkRevealer* _tmp47_;
	GtkRevealer* _tmp48_;
	GtkRevealer* _tmp49_;
	GtkButton* _tmp50_;
	GtkRevealer* _tmp51_;
	GtkRevealer* _tmp52_;
	GtkGrid* calendar_grid = NULL;
	GtkGrid* _tmp53_;
	GtkCheckButton* _tmp54_;
	GtkLabel* _tmp55_;
	GtkRevealer* _tmp56_;
	GtkRevealer* _tmp57_;
	GtkEventBox* calendar_event_box = NULL;
	GtkEventBox* _tmp58_;
	GtkButton* undo_button = NULL;
	GtkButton* _tmp59_;
	GtkButton* close_button = NULL;
	GtkButton* _tmp60_;
	const gchar* _tmp61_;
	const gchar* _tmp62_;
	gchar* _tmp63_;
	gchar* _tmp64_;
	GtkLabel* _tmp65_;
	GtkLabel* _tmp66_;
	GtkLabel* _tmp67_;
	GtkGrid* _tmp68_;
	GtkGrid* _tmp69_;
	GtkGrid* _tmp70_;
	GtkGrid* _tmp71_;
	GtkGrid* _tmp72_;
	GtkLabel* _tmp73_;
	GtkGrid* _tmp74_;
	GtkStack* _tmp75_;
	GtkStack* _tmp76_;
	GtkStack* _tmp77_;
	GtkGrid* _tmp78_;
	GtkStack* _tmp79_;
	GtkStack* _tmp80_;
	GtkStack* _tmp81_;
	GtkButton* _tmp82_;
	GtkButton* _tmp83_;
#line 41 "../src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (source != NULL, NULL);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_data23_ = g_slice_new0 (Block23Data);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_data23_->_ref_count_ = 1;
#line 41 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (_data23_->source);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_data23_->source = _tmp0_;
#line 41 "../src/SourceDialog/SourceItem.vala"
	self = (MayaViewSourceItem*) g_object_new (object_type, NULL);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_data23_->self = g_object_ref (self);
#line 42 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_set_source (self, _data23_->source);
#line 45 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = e_source_get_extension (_data23_->source, E_SOURCE_EXTENSION_CALENDAR);
#line 45 "../src/SourceDialog/SourceItem.vala"
	_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, e_source_calendar_get_type (), ESourceCalendar));
#line 45 "../src/SourceDialog/SourceItem.vala"
	_data23_->cal = _tmp2_;
#line 47 "../src/SourceDialog/SourceItem.vala"
	_tmp3_ = e_source_dup_display_name (_data23_->source);
#line 47 "../src/SourceDialog/SourceItem.vala"
	_tmp4_ = _tmp3_;
#line 47 "../src/SourceDialog/SourceItem.vala"
	_tmp5_ = (GtkLabel*) gtk_label_new (_tmp4_);
#line 47 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp5_);
#line 47 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->calendar_name_label);
#line 47 "../src/SourceDialog/SourceItem.vala"
	self->priv->calendar_name_label = _tmp5_;
#line 47 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp4_);
#line 48 "../src/SourceDialog/SourceItem.vala"
	_tmp6_ = self->priv->calendar_name_label;
#line 48 "../src/SourceDialog/SourceItem.vala"
	gtk_label_set_xalign (_tmp6_, (gfloat) 0);
#line 49 "../src/SourceDialog/SourceItem.vala"
	_tmp7_ = self->priv->calendar_name_label;
#line 49 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp7_, TRUE);
#line 51 "../src/SourceDialog/SourceItem.vala"
	_tmp8_ = e_source_dup_display_name (_data23_->source);
#line 51 "../src/SourceDialog/SourceItem.vala"
	_tmp9_ = _tmp8_;
#line 51 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_set_label (self, _tmp9_);
#line 51 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp9_);
#line 52 "../src/SourceDialog/SourceItem.vala"
	_tmp10_ = maya_util_get_source_location (_data23_->source);
#line 52 "../src/SourceDialog/SourceItem.vala"
	_tmp11_ = _tmp10_;
#line 52 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_set_location (self, _tmp11_);
#line 52 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp11_);
#line 54 "../src/SourceDialog/SourceItem.vala"
	_tmp12_ = (GtkCheckButton*) gtk_check_button_new ();
#line 54 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp12_);
#line 54 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->visible_checkbutton);
#line 54 "../src/SourceDialog/SourceItem.vala"
	self->priv->visible_checkbutton = _tmp12_;
#line 55 "../src/SourceDialog/SourceItem.vala"
	_tmp13_ = self->priv->visible_checkbutton;
#line 55 "../src/SourceDialog/SourceItem.vala"
	_tmp14_ = _data23_->cal;
#line 55 "../src/SourceDialog/SourceItem.vala"
	_tmp15_ = e_source_selectable_get_selected ((ESourceSelectable*) _tmp14_);
#line 55 "../src/SourceDialog/SourceItem.vala"
	_tmp16_ = _tmp15_;
#line 55 "../src/SourceDialog/SourceItem.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp13_, _tmp16_);
#line 56 "../src/SourceDialog/SourceItem.vala"
	_tmp17_ = self->priv->visible_checkbutton;
#line 56 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp17_, "toggled", (GCallback) ___lambda150__gtk_toggle_button_toggled, block23_data_ref (_data23_), (GClosureNotify) block23_data_unref, 0);
#line 72 "../src/SourceDialog/SourceItem.vala"
	_tmp18_ = _data23_->cal;
#line 72 "../src/SourceDialog/SourceItem.vala"
	_tmp19_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp18_);
#line 72 "../src/SourceDialog/SourceItem.vala"
	_tmp20_ = _tmp19_;
#line 72 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_style_calendar_color (self, _tmp20_);
#line 72 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp20_);
#line 74 "../src/SourceDialog/SourceItem.vala"
	_tmp21_ = (GtkButton*) gtk_button_new_from_icon_name ("edit-delete-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 74 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp21_);
#line 74 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_button);
#line 74 "../src/SourceDialog/SourceItem.vala"
	self->priv->delete_button = _tmp21_;
#line 75 "../src/SourceDialog/SourceItem.vala"
	_tmp23_ = e_source_get_removable (_data23_->source);
#line 75 "../src/SourceDialog/SourceItem.vala"
	_tmp24_ = _tmp23_;
#line 75 "../src/SourceDialog/SourceItem.vala"
	if (_tmp24_) {
#line 75 "../src/SourceDialog/SourceItem.vala"
		_tmp22_ = _ ("Remove");
#line 698 "SourceItem.c"
	} else {
#line 75 "../src/SourceDialog/SourceItem.vala"
		_tmp22_ = _ ("Not Removable");
#line 702 "SourceItem.c"
	}
#line 75 "../src/SourceDialog/SourceItem.vala"
	_tmp25_ = self->priv->delete_button;
#line 75 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp25_, _tmp22_);
#line 76 "../src/SourceDialog/SourceItem.vala"
	_tmp26_ = self->priv->delete_button;
#line 76 "../src/SourceDialog/SourceItem.vala"
	gtk_button_set_relief (_tmp26_, GTK_RELIEF_NONE);
#line 77 "../src/SourceDialog/SourceItem.vala"
	_tmp27_ = self->priv->delete_button;
#line 77 "../src/SourceDialog/SourceItem.vala"
	_tmp28_ = e_source_get_removable (_data23_->source);
#line 77 "../src/SourceDialog/SourceItem.vala"
	_tmp29_ = _tmp28_;
#line 77 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp27_, _tmp29_);
#line 78 "../src/SourceDialog/SourceItem.vala"
	_tmp30_ = self->priv->delete_button;
#line 78 "../src/SourceDialog/SourceItem.vala"
	_tmp31_ = gtk_widget_get_style_context ((GtkWidget*) _tmp30_);
#line 78 "../src/SourceDialog/SourceItem.vala"
	gtk_style_context_add_class (_tmp31_, GTK_STYLE_CLASS_DESTRUCTIVE_ACTION);
#line 80 "../src/SourceDialog/SourceItem.vala"
	_tmp32_ = (GtkRevealer*) gtk_revealer_new ();
#line 80 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp32_);
#line 80 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_revealer);
#line 80 "../src/SourceDialog/SourceItem.vala"
	self->priv->delete_revealer = _tmp32_;
#line 81 "../src/SourceDialog/SourceItem.vala"
	_tmp33_ = self->priv->delete_revealer;
#line 81 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_transition_type (_tmp33_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 82 "../src/SourceDialog/SourceItem.vala"
	_tmp34_ = self->priv->delete_revealer;
#line 82 "../src/SourceDialog/SourceItem.vala"
	_tmp35_ = self->priv->delete_button;
#line 82 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp34_, (GtkWidget*) _tmp35_);
#line 83 "../src/SourceDialog/SourceItem.vala"
	_tmp36_ = self->priv->delete_revealer;
#line 83 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp36_);
#line 84 "../src/SourceDialog/SourceItem.vala"
	_tmp37_ = self->priv->delete_revealer;
#line 84 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp37_, FALSE);
#line 86 "../src/SourceDialog/SourceItem.vala"
	_tmp38_ = (GtkButton*) gtk_button_new_from_icon_name ("edit-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 86 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp38_);
#line 86 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_button);
#line 86 "../src/SourceDialog/SourceItem.vala"
	self->priv->edit_button = _tmp38_;
#line 87 "../src/SourceDialog/SourceItem.vala"
	_tmp40_ = e_source_get_writable (_data23_->source);
#line 87 "../src/SourceDialog/SourceItem.vala"
	_tmp41_ = _tmp40_;
#line 87 "../src/SourceDialog/SourceItem.vala"
	if (_tmp41_) {
#line 87 "../src/SourceDialog/SourceItem.vala"
		_tmp39_ = _ ("Edit…");
#line 768 "SourceItem.c"
	} else {
#line 87 "../src/SourceDialog/SourceItem.vala"
		_tmp39_ = _ ("Not Editable");
#line 772 "SourceItem.c"
	}
#line 87 "../src/SourceDialog/SourceItem.vala"
	_tmp42_ = self->priv->edit_button;
#line 87 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp42_, _tmp39_);
#line 88 "../src/SourceDialog/SourceItem.vala"
	_tmp43_ = self->priv->edit_button;
#line 88 "../src/SourceDialog/SourceItem.vala"
	gtk_button_set_relief (_tmp43_, GTK_RELIEF_NONE);
#line 89 "../src/SourceDialog/SourceItem.vala"
	_tmp44_ = self->priv->edit_button;
#line 89 "../src/SourceDialog/SourceItem.vala"
	_tmp45_ = e_source_get_writable (_data23_->source);
#line 89 "../src/SourceDialog/SourceItem.vala"
	_tmp46_ = _tmp45_;
#line 89 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp44_, _tmp46_);
#line 91 "../src/SourceDialog/SourceItem.vala"
	_tmp47_ = (GtkRevealer*) gtk_revealer_new ();
#line 91 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp47_);
#line 91 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_revealer);
#line 91 "../src/SourceDialog/SourceItem.vala"
	self->priv->edit_revealer = _tmp47_;
#line 92 "../src/SourceDialog/SourceItem.vala"
	_tmp48_ = self->priv->edit_revealer;
#line 92 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_transition_type (_tmp48_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 93 "../src/SourceDialog/SourceItem.vala"
	_tmp49_ = self->priv->edit_revealer;
#line 93 "../src/SourceDialog/SourceItem.vala"
	_tmp50_ = self->priv->edit_button;
#line 93 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp49_, (GtkWidget*) _tmp50_);
#line 94 "../src/SourceDialog/SourceItem.vala"
	_tmp51_ = self->priv->edit_revealer;
#line 94 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp51_);
#line 95 "../src/SourceDialog/SourceItem.vala"
	_tmp52_ = self->priv->edit_revealer;
#line 95 "../src/SourceDialog/SourceItem.vala"
	gtk_revealer_set_reveal_child (_tmp52_, FALSE);
#line 97 "../src/SourceDialog/SourceItem.vala"
	_tmp53_ = (GtkGrid*) gtk_grid_new ();
#line 97 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp53_);
#line 97 "../src/SourceDialog/SourceItem.vala"
	calendar_grid = _tmp53_;
#line 98 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_set_column_spacing (calendar_grid, 6);
#line 99 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) calendar_grid, 8);
#line 100 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_margin_end ((GtkWidget*) calendar_grid, 6);
#line 101 "../src/SourceDialog/SourceItem.vala"
	_tmp54_ = self->priv->visible_checkbutton;
#line 101 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp54_, 0, 0, 1, 1);
#line 102 "../src/SourceDialog/SourceItem.vala"
	_tmp55_ = self->priv->calendar_name_label;
#line 102 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp55_, 2, 0, 1, 1);
#line 103 "../src/SourceDialog/SourceItem.vala"
	_tmp56_ = self->priv->delete_revealer;
#line 103 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp56_, 3, 0, 1, 1);
#line 104 "../src/SourceDialog/SourceItem.vala"
	_tmp57_ = self->priv->edit_revealer;
#line 104 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_attach (calendar_grid, (GtkWidget*) _tmp57_, 4, 0, 1, 1);
#line 106 "../src/SourceDialog/SourceItem.vala"
	_tmp58_ = (GtkEventBox*) gtk_event_box_new ();
#line 106 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp58_);
#line 106 "../src/SourceDialog/SourceItem.vala"
	calendar_event_box = _tmp58_;
#line 107 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) calendar_event_box, (GtkWidget*) calendar_grid);
#line 108 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_show ((GtkWidget*) calendar_event_box);
#line 110 "../src/SourceDialog/SourceItem.vala"
	_tmp59_ = (GtkButton*) gtk_button_new_with_label (_ ("Undo"));
#line 110 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp59_);
#line 110 "../src/SourceDialog/SourceItem.vala"
	undo_button = _tmp59_;
#line 111 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_margin_end ((GtkWidget*) undo_button, 6);
#line 113 "../src/SourceDialog/SourceItem.vala"
	_tmp60_ = (GtkButton*) gtk_button_new_from_icon_name ("process-stop-symbolic", (GtkIconSize) GTK_ICON_SIZE_SMALL_TOOLBAR);
#line 113 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp60_);
#line 113 "../src/SourceDialog/SourceItem.vala"
	close_button = _tmp60_;
#line 114 "../src/SourceDialog/SourceItem.vala"
	gtk_button_set_relief (close_button, GTK_RELIEF_NONE);
#line 116 "../src/SourceDialog/SourceItem.vala"
	_tmp61_ = e_source_get_display_name (_data23_->source);
#line 116 "../src/SourceDialog/SourceItem.vala"
	_tmp62_ = _tmp61_;
#line 116 "../src/SourceDialog/SourceItem.vala"
	_tmp63_ = g_strdup_printf (_ ("\"%s\" removed"), _tmp62_);
#line 116 "../src/SourceDialog/SourceItem.vala"
	_tmp64_ = _tmp63_;
#line 116 "../src/SourceDialog/SourceItem.vala"
	_tmp65_ = (GtkLabel*) gtk_label_new (_tmp64_);
#line 116 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp65_);
#line 116 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->message_label);
#line 116 "../src/SourceDialog/SourceItem.vala"
	self->priv->message_label = _tmp65_;
#line 116 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp64_);
#line 117 "../src/SourceDialog/SourceItem.vala"
	_tmp66_ = self->priv->message_label;
#line 117 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp66_, TRUE);
#line 118 "../src/SourceDialog/SourceItem.vala"
	_tmp67_ = self->priv->message_label;
#line 118 "../src/SourceDialog/SourceItem.vala"
	gtk_label_set_xalign (_tmp67_, 0.0f);
#line 120 "../src/SourceDialog/SourceItem.vala"
	_tmp68_ = (GtkGrid*) gtk_grid_new ();
#line 120 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp68_);
#line 120 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->info_grid);
#line 120 "../src/SourceDialog/SourceItem.vala"
	self->priv->info_grid = _tmp68_;
#line 121 "../src/SourceDialog/SourceItem.vala"
	_tmp69_ = self->priv->info_grid;
#line 121 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_set_column_spacing (_tmp69_, 12);
#line 122 "../src/SourceDialog/SourceItem.vala"
	_tmp70_ = self->priv->info_grid;
#line 122 "../src/SourceDialog/SourceItem.vala"
	gtk_grid_set_row_spacing (_tmp70_, 6);
#line 123 "../src/SourceDialog/SourceItem.vala"
	_tmp71_ = self->priv->info_grid;
#line 123 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp71_, (GtkWidget*) close_button);
#line 124 "../src/SourceDialog/SourceItem.vala"
	_tmp72_ = self->priv->info_grid;
#line 124 "../src/SourceDialog/SourceItem.vala"
	_tmp73_ = self->priv->message_label;
#line 124 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp72_, (GtkWidget*) _tmp73_);
#line 125 "../src/SourceDialog/SourceItem.vala"
	_tmp74_ = self->priv->info_grid;
#line 125 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) _tmp74_, (GtkWidget*) undo_button);
#line 127 "../src/SourceDialog/SourceItem.vala"
	_tmp75_ = (GtkStack*) gtk_stack_new ();
#line 127 "../src/SourceDialog/SourceItem.vala"
	g_object_ref_sink (_tmp75_);
#line 127 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->stack);
#line 127 "../src/SourceDialog/SourceItem.vala"
	self->priv->stack = _tmp75_;
#line 128 "../src/SourceDialog/SourceItem.vala"
	_tmp76_ = self->priv->stack;
#line 128 "../src/SourceDialog/SourceItem.vala"
	gtk_stack_set_transition_type (_tmp76_, GTK_STACK_TRANSITION_TYPE_OVER_RIGHT_LEFT);
#line 129 "../src/SourceDialog/SourceItem.vala"
	_tmp77_ = self->priv->stack;
#line 129 "../src/SourceDialog/SourceItem.vala"
	_tmp78_ = self->priv->info_grid;
#line 129 "../src/SourceDialog/SourceItem.vala"
	gtk_stack_add_named (_tmp77_, (GtkWidget*) _tmp78_, "info");
#line 130 "../src/SourceDialog/SourceItem.vala"
	_tmp79_ = self->priv->stack;
#line 130 "../src/SourceDialog/SourceItem.vala"
	gtk_stack_add_named (_tmp79_, (GtkWidget*) calendar_event_box, "calendar");
#line 131 "../src/SourceDialog/SourceItem.vala"
	_tmp80_ = self->priv->stack;
#line 131 "../src/SourceDialog/SourceItem.vala"
	gtk_stack_set_visible_child_name (_tmp80_, "calendar");
#line 133 "../src/SourceDialog/SourceItem.vala"
	_tmp81_ = self->priv->stack;
#line 133 "../src/SourceDialog/SourceItem.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp81_);
#line 135 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_object (close_button, "clicked", (GCallback) ___lambda151__gtk_button_clicked, self, 0);
#line 140 "../src/SourceDialog/SourceItem.vala"
	_tmp82_ = self->priv->delete_button;
#line 140 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_data (_tmp82_, "clicked", (GCallback) ___lambda152__gtk_button_clicked, block23_data_ref (_data23_), (GClosureNotify) block23_data_unref, 0);
#line 142 "../src/SourceDialog/SourceItem.vala"
	_tmp83_ = self->priv->edit_button;
#line 142 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_data (_tmp83_, "clicked", (GCallback) ___lambda153__gtk_button_clicked, block23_data_ref (_data23_), (GClosureNotify) block23_data_unref, 0);
#line 144 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_object (undo_button, "clicked", (GCallback) ___lambda154__gtk_button_clicked, self, 0);
#line 149 "../src/SourceDialog/SourceItem.vala"
	gtk_widget_add_events ((GtkWidget*) calendar_event_box, (gint) (GDK_ENTER_NOTIFY_MASK | GDK_LEAVE_NOTIFY_MASK));
#line 150 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_object ((GtkWidget*) calendar_event_box, "enter-notify-event", (GCallback) ___lambda155__gtk_widget_enter_notify_event, self, 0);
#line 156 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_object ((GtkWidget*) calendar_event_box, "leave-notify-event", (GCallback) ___lambda156__gtk_widget_leave_notify_event, self, 0);
#line 165 "../src/SourceDialog/SourceItem.vala"
	g_signal_connect_object (_data23_->source, "changed", (GCallback) _maya_view_source_item_source_has_changed_e_source_changed, self, 0);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (close_button);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (undo_button);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (calendar_event_box);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (calendar_grid);
#line 41 "../src/SourceDialog/SourceItem.vala"
	block23_data_unref (_data23_);
#line 41 "../src/SourceDialog/SourceItem.vala"
	_data23_ = NULL;
#line 41 "../src/SourceDialog/SourceItem.vala"
	return self;
#line 990 "SourceItem.c"
}

MayaViewSourceItem*
maya_view_source_item_new (ESource* source)
{
#line 41 "../src/SourceDialog/SourceItem.vala"
	return maya_view_source_item_construct (MAYA_VIEW_TYPE_SOURCE_ITEM, source);
#line 998 "SourceItem.c"
}

static void
maya_view_source_item_style_calendar_color (MayaViewSourceItem* self,
                                            const gchar* color)
{
	gchar* css_color = NULL;
	gchar* _tmp0_;
	GtkCssProvider* style_provider = NULL;
	GtkCssProvider* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 168 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 168 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (color != NULL);
#line 169 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = g_strdup_printf ("@define-color colorAccent %s;", color);
#line 169 "../src/SourceDialog/SourceItem.vala"
	css_color = _tmp0_;
#line 171 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = gtk_css_provider_new ();
#line 171 "../src/SourceDialog/SourceItem.vala"
	style_provider = _tmp1_;
#line 1022 "SourceItem.c"
	{
		gint _tmp2_;
		gint _tmp3_;
		GtkCheckButton* _tmp4_;
		GtkStyleContext* _tmp5_;
#line 174 "../src/SourceDialog/SourceItem.vala"
		_tmp2_ = strlen (css_color);
#line 174 "../src/SourceDialog/SourceItem.vala"
		_tmp3_ = _tmp2_;
#line 174 "../src/SourceDialog/SourceItem.vala"
		gtk_css_provider_load_from_data (style_provider, css_color, (gssize) _tmp3_, &_inner_error0_);
#line 174 "../src/SourceDialog/SourceItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1036 "SourceItem.c"
			goto __catch20_g_error;
		}
#line 175 "../src/SourceDialog/SourceItem.vala"
		_tmp4_ = self->priv->visible_checkbutton;
#line 175 "../src/SourceDialog/SourceItem.vala"
		_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) _tmp4_);
#line 175 "../src/SourceDialog/SourceItem.vala"
		gtk_style_context_add_provider (_tmp5_, (GtkStyleProvider*) style_provider, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 1045 "SourceItem.c"
	}
	goto __finally20;
	__catch20_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 173 "../src/SourceDialog/SourceItem.vala"
		e = _inner_error0_;
#line 173 "../src/SourceDialog/SourceItem.vala"
		_inner_error0_ = NULL;
#line 177 "../src/SourceDialog/SourceItem.vala"
		_tmp6_ = e;
#line 177 "../src/SourceDialog/SourceItem.vala"
		_tmp7_ = _tmp6_->message;
#line 177 "../src/SourceDialog/SourceItem.vala"
		g_warning ("SourceItem.vala:177: Could not create CSS Provider: %s\n" \
"Stylesheet:\n" \
"%s", _tmp7_, css_color);
#line 173 "../src/SourceDialog/SourceItem.vala"
		_g_error_free0 (e);
#line 1065 "SourceItem.c"
	}
	__finally20:
#line 173 "../src/SourceDialog/SourceItem.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 173 "../src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (style_provider);
#line 173 "../src/SourceDialog/SourceItem.vala"
		_g_free0 (css_color);
#line 173 "../src/SourceDialog/SourceItem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 173 "../src/SourceDialog/SourceItem.vala"
		g_clear_error (&_inner_error0_);
#line 173 "../src/SourceDialog/SourceItem.vala"
		return;
#line 1080 "SourceItem.c"
	}
#line 168 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (style_provider);
#line 168 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (css_color);
#line 1086 "SourceItem.c"
}

void
maya_view_source_item_source_has_changed (MayaViewSourceItem* self)
{
	GtkLabel* _tmp0_;
	ESource* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	GtkLabel* _tmp4_;
	ESource* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	ESourceCalendar* cal = NULL;
	ESource* _tmp10_;
	ESourceExtension* _tmp11_;
	ESourceCalendar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	GtkCheckButton* _tmp15_;
	gboolean _tmp16_;
	gboolean _tmp17_;
#line 181 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 182 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->calendar_name_label;
#line 182 "../src/SourceDialog/SourceItem.vala"
	_tmp1_ = self->priv->_source;
#line 182 "../src/SourceDialog/SourceItem.vala"
	_tmp2_ = e_source_dup_display_name (_tmp1_);
#line 182 "../src/SourceDialog/SourceItem.vala"
	_tmp3_ = _tmp2_;
#line 182 "../src/SourceDialog/SourceItem.vala"
	gtk_label_set_label (_tmp0_, _tmp3_);
#line 182 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp3_);
#line 183 "../src/SourceDialog/SourceItem.vala"
	_tmp4_ = self->priv->message_label;
#line 183 "../src/SourceDialog/SourceItem.vala"
	_tmp5_ = self->priv->_source;
#line 183 "../src/SourceDialog/SourceItem.vala"
	_tmp6_ = e_source_get_display_name (_tmp5_);
#line 183 "../src/SourceDialog/SourceItem.vala"
	_tmp7_ = _tmp6_;
#line 183 "../src/SourceDialog/SourceItem.vala"
	_tmp8_ = g_strdup_printf (_ ("\"%s\" removed"), _tmp7_);
#line 183 "../src/SourceDialog/SourceItem.vala"
	_tmp9_ = _tmp8_;
#line 183 "../src/SourceDialog/SourceItem.vala"
	gtk_label_set_label (_tmp4_, _tmp9_);
#line 183 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp9_);
#line 185 "../src/SourceDialog/SourceItem.vala"
	_tmp10_ = self->priv->_source;
#line 185 "../src/SourceDialog/SourceItem.vala"
	_tmp11_ = e_source_get_extension (_tmp10_, E_SOURCE_EXTENSION_CALENDAR);
#line 185 "../src/SourceDialog/SourceItem.vala"
	_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, e_source_calendar_get_type (), ESourceCalendar));
#line 185 "../src/SourceDialog/SourceItem.vala"
	cal = _tmp12_;
#line 187 "../src/SourceDialog/SourceItem.vala"
	_tmp13_ = e_source_selectable_dup_color ((ESourceSelectable*) cal);
#line 187 "../src/SourceDialog/SourceItem.vala"
	_tmp14_ = _tmp13_;
#line 187 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_style_calendar_color (self, _tmp14_);
#line 187 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (_tmp14_);
#line 189 "../src/SourceDialog/SourceItem.vala"
	_tmp15_ = self->priv->visible_checkbutton;
#line 189 "../src/SourceDialog/SourceItem.vala"
	_tmp16_ = e_source_selectable_get_selected ((ESourceSelectable*) cal);
#line 189 "../src/SourceDialog/SourceItem.vala"
	_tmp17_ = _tmp16_;
#line 189 "../src/SourceDialog/SourceItem.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp15_, _tmp17_);
#line 181 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (cal);
#line 1167 "SourceItem.c"
}

void
maya_view_source_item_show_calendar_removed (MayaViewSourceItem* self)
{
	GtkStack* _tmp0_;
#line 192 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 193 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->stack;
#line 193 "../src/SourceDialog/SourceItem.vala"
	gtk_stack_set_visible_child_name (_tmp0_, "info");
#line 1180 "SourceItem.c"
}

const gchar*
maya_view_source_item_get_location (MayaViewSourceItem* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 25 "../src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_location;
#line 25 "../src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 25 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 1196 "SourceItem.c"
}

static void
maya_view_source_item_set_location (MayaViewSourceItem* self,
                                    const gchar* value)
{
#line 25 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/SourceDialog/SourceItem.vala"
	if (g_strcmp0 (value, maya_view_source_item_get_location (self)) != 0) {
#line 1207 "SourceItem.c"
		gchar* _tmp0_;
#line 25 "../src/SourceDialog/SourceItem.vala"
		_tmp0_ = g_strdup (value);
#line 25 "../src/SourceDialog/SourceItem.vala"
		_g_free0 (self->priv->_location);
#line 25 "../src/SourceDialog/SourceItem.vala"
		self->priv->_location = _tmp0_;
#line 25 "../src/SourceDialog/SourceItem.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_LOCATION_PROPERTY]);
#line 1217 "SourceItem.c"
	}
}

const gchar*
maya_view_source_item_get_label (MayaViewSourceItem* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 26 "../src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_label;
#line 26 "../src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 26 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 1234 "SourceItem.c"
}

static void
maya_view_source_item_set_label (MayaViewSourceItem* self,
                                 const gchar* value)
{
#line 26 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/SourceDialog/SourceItem.vala"
	if (g_strcmp0 (value, maya_view_source_item_get_label (self)) != 0) {
#line 1245 "SourceItem.c"
		gchar* _tmp0_;
#line 26 "../src/SourceDialog/SourceItem.vala"
		_tmp0_ = g_strdup (value);
#line 26 "../src/SourceDialog/SourceItem.vala"
		_g_free0 (self->priv->_label);
#line 26 "../src/SourceDialog/SourceItem.vala"
		self->priv->_label = _tmp0_;
#line 26 "../src/SourceDialog/SourceItem.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_LABEL_PROPERTY]);
#line 1255 "SourceItem.c"
	}
}

ESource*
maya_view_source_item_get_source (MayaViewSourceItem* self)
{
	ESource* result;
	ESource* _tmp0_;
#line 27 "../src/SourceDialog/SourceItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 27 "../src/SourceDialog/SourceItem.vala"
	_tmp0_ = self->priv->_source;
#line 27 "../src/SourceDialog/SourceItem.vala"
	result = _tmp0_;
#line 27 "../src/SourceDialog/SourceItem.vala"
	return result;
#line 1272 "SourceItem.c"
}

static void
maya_view_source_item_set_source (MayaViewSourceItem* self,
                                  ESource* value)
{
#line 27 "../src/SourceDialog/SourceItem.vala"
	g_return_if_fail (self != NULL);
#line 27 "../src/SourceDialog/SourceItem.vala"
	if (maya_view_source_item_get_source (self) != value) {
#line 1283 "SourceItem.c"
		ESource* _tmp0_;
#line 27 "../src/SourceDialog/SourceItem.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 27 "../src/SourceDialog/SourceItem.vala"
		_g_object_unref0 (self->priv->_source);
#line 27 "../src/SourceDialog/SourceItem.vala"
		self->priv->_source = _tmp0_;
#line 27 "../src/SourceDialog/SourceItem.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_SOURCE_PROPERTY]);
#line 1293 "SourceItem.c"
	}
}

static void
maya_view_source_item_class_init (MayaViewSourceItemClass * klass,
                                  gpointer klass_data)
{
#line 21 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_parent_class = g_type_class_peek_parent (klass);
#line 21 "../src/SourceDialog/SourceItem.vala"
	g_type_class_adjust_private_offset (klass, &MayaViewSourceItem_private_offset);
#line 21 "../src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_item_get_property;
#line 21 "../src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_item_set_property;
#line 21 "../src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_item_finalize;
#line 21 "../src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_LOCATION_PROPERTY, maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_LOCATION_PROPERTY] = g_param_spec_string ("location", "location", "location", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_LABEL_PROPERTY, maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_LABEL_PROPERTY] = g_param_spec_string ("label", "label", "label", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../src/SourceDialog/SourceItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_ITEM_SOURCE_PROPERTY, maya_view_source_item_properties[MAYA_VIEW_SOURCE_ITEM_SOURCE_PROPERTY] = g_param_spec_object ("source", "source", "source", e_source_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_REMOVE_REQUEST_SIGNAL] = g_signal_new ("remove-request", MAYA_VIEW_TYPE_SOURCE_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, e_source_get_type ());
#line 21 "../src/SourceDialog/SourceItem.vala"
	maya_view_source_item_signals[MAYA_VIEW_SOURCE_ITEM_EDIT_REQUEST_SIGNAL] = g_signal_new ("edit-request", MAYA_VIEW_TYPE_SOURCE_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, e_source_get_type ());
#line 1321 "SourceItem.c"
}

static void
maya_view_source_item_instance_init (MayaViewSourceItem * self,
                                     gpointer klass)
{
#line 21 "../src/SourceDialog/SourceItem.vala"
	self->priv = maya_view_source_item_get_instance_private (self);
#line 1330 "SourceItem.c"
}

static void
maya_view_source_item_finalize (GObject * obj)
{
	MayaViewSourceItem * self;
#line 21 "../src/SourceDialog/SourceItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem);
#line 25 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (self->priv->_location);
#line 26 "../src/SourceDialog/SourceItem.vala"
	_g_free0 (self->priv->_label);
#line 27 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->_source);
#line 29 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->stack);
#line 30 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->info_grid);
#line 32 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_button);
#line 33 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->delete_revealer);
#line 34 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_button);
#line 35 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->edit_revealer);
#line 37 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->calendar_name_label);
#line 38 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->message_label);
#line 39 "../src/SourceDialog/SourceItem.vala"
	_g_object_unref0 (self->priv->visible_checkbutton);
#line 21 "../src/SourceDialog/SourceItem.vala"
	G_OBJECT_CLASS (maya_view_source_item_parent_class)->finalize (obj);
#line 1365 "SourceItem.c"
}

GType
maya_view_source_item_get_type (void)
{
	static volatile gsize maya_view_source_item_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_source_item_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceItemClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_item_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceItem), 0, (GInstanceInitFunc) maya_view_source_item_instance_init, NULL };
		GType maya_view_source_item_type_id;
		maya_view_source_item_type_id = g_type_register_static (gtk_list_box_row_get_type (), "MayaViewSourceItem", &g_define_type_info, 0);
		MayaViewSourceItem_private_offset = g_type_add_instance_private (maya_view_source_item_type_id, sizeof (MayaViewSourceItemPrivate));
		g_once_init_leave (&maya_view_source_item_type_id__volatile, maya_view_source_item_type_id);
	}
	return maya_view_source_item_type_id__volatile;
}

static void
_vala_maya_view_source_item_get_property (GObject * object,
                                          guint property_id,
                                          GValue * value,
                                          GParamSpec * pspec)
{
	MayaViewSourceItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem);
#line 21 "../src/SourceDialog/SourceItem.vala"
	switch (property_id) {
#line 21 "../src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LOCATION_PROPERTY:
#line 21 "../src/SourceDialog/SourceItem.vala"
		g_value_set_string (value, maya_view_source_item_get_location (self));
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 21 "../src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LABEL_PROPERTY:
#line 21 "../src/SourceDialog/SourceItem.vala"
		g_value_set_string (value, maya_view_source_item_get_label (self));
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 21 "../src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_SOURCE_PROPERTY:
#line 21 "../src/SourceDialog/SourceItem.vala"
		g_value_set_object (value, maya_view_source_item_get_source (self));
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 1410 "SourceItem.c"
		default:
#line 21 "../src/SourceDialog/SourceItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 1416 "SourceItem.c"
	}
}

static void
_vala_maya_view_source_item_set_property (GObject * object,
                                          guint property_id,
                                          const GValue * value,
                                          GParamSpec * pspec)
{
	MayaViewSourceItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_ITEM, MayaViewSourceItem);
#line 21 "../src/SourceDialog/SourceItem.vala"
	switch (property_id) {
#line 21 "../src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LOCATION_PROPERTY:
#line 21 "../src/SourceDialog/SourceItem.vala"
		maya_view_source_item_set_location (self, g_value_get_string (value));
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 21 "../src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_LABEL_PROPERTY:
#line 21 "../src/SourceDialog/SourceItem.vala"
		maya_view_source_item_set_label (self, g_value_get_string (value));
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 21 "../src/SourceDialog/SourceItem.vala"
		case MAYA_VIEW_SOURCE_ITEM_SOURCE_PROPERTY:
#line 21 "../src/SourceDialog/SourceItem.vala"
		maya_view_source_item_set_source (self, g_value_get_object (value));
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 1448 "SourceItem.c"
		default:
#line 21 "../src/SourceDialog/SourceItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "../src/SourceDialog/SourceItem.vala"
		break;
#line 1454 "SourceItem.c"
	}
}

